GNU bug report logs - #50630
28.0.50; list-directory shows free space for current directory, not the specified one

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: John Cummings <john@HIDDEN>; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 11 Nov 2021 01:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 10 20:44:05 2021
Received: from localhost ([127.0.0.1]:39573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mkz8G-00012e-PV
	for submit <at> debbugs.gnu.org; Wed, 10 Nov 2021 20:44:05 -0500
Received: from mail-40136.proton.ch ([185.70.40.136]:17427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mkz8D-000121-Mi
 for 50630 <at> debbugs.gnu.org; Wed, 10 Nov 2021 20:44:03 -0500
Date: Thu, 11 Nov 2021 01:43:54 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1636595034;
 bh=mfSVJk/8Ql4XHScLDHhfyRAR6L9jiga4EIgFe59ChQ4=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=VXHmWODouYLOVr1/73/7dYP46DD0UR8JB1kwgboiIHLKQ12f0yXa0budeSb+HdmPo
 WTGdcx5reYhLO4iuRIQfv+z5fjqbq96IQ3ndO8TjJxI8JmDOE4K5zeUk0ZcifR3/VP
 aejw22BxoSnV5fh/MPSXGBh90xL7dnT/VFk/1CD9pkuny2rjX7EjPUL5XUGQSTXZ+i
 q+MRFGF4yk5A+6+hp+eel6KyVOXLwvDUf/Aq3xskJMQROXbHa99Qwo+D/7PR/mvcll
 lMX1/e/LgKKekOf0laJL4ScuyoXC8nnEMhepSKnMAzJGG711EXQSH3IbyrSAKrroNd
 Yi/1iGKZjqSGA==
To: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>
From: John Cummings <john@HIDDEN>
Subject: [PATCH] Add tests for 'insert-directory'
Message-ID: <HLzGL62mnGPwMGSevMWSfChfk1sUTdZ4MDlaCd_oMAKHSy6ib3jnZW1gq3pNtPrV2t6O-hTErFo2mEQvqmMB9vk9B31n_Oa3ien6TKoSCas=@rootabega.net>
In-Reply-To: <aBs7q8Blh7yNi2iWuTB37DzPY569oKDfxI4vlDTa5boeqeEYqw3sma_9-EERi7_PeldJUFkji73sSkHocv__8WBAZr6mr81aLfj5UxU45Fs=@rootabega.net>
References: <aBs7q8Blh7yNi2iWuTB37DzPY569oKDfxI4vlDTa5boeqeEYqw3sma_9-EERi7_PeldJUFkji73sSkHocv__8WBAZr6mr81aLfj5UxU45Fs=@rootabega.net>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_Edg4a7IvK6a55lfEEWrEE53s2xPOmFb5rbLIRmcSUVE"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_Edg4a7IvK6a55lfEEWrEE53s2xPOmFb5rbLIRmcSUVE
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

My copyright assignment is complete. Here is the patch to add tests,
signed from the same master key I used to sign the agreement:
D148 50A5 E6B1 45AE CD83  7983 16B9 CFB2 30B1 275C

This was generated against the emacs-28 branch. There will be a merge
conflict when merged to master, but these tests can just be added as
the last tests in files-tests.el
--b1_Edg4a7IvK6a55lfEEWrEE53s2xPOmFb5rbLIRmcSUVE
Content-Type: text/x-patch; name=0001-Add-tests-for-insert-directory.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Add-tests-for-insert-directory.patch
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--b1_Edg4a7IvK6a55lfEEWrEE53s2xPOmFb5rbLIRmcSUVE
Content-Type: text/plain; name=0001-Add-tests-for-insert-directory.patch.asc
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Add-tests-for-insert-directory.patch.asc

LS0tLS1CRUdJTiBQR1AgU0lHTkFUVVJFLS0tLS0KCmlRSXpCQUFCQ2dBZEZpRUV3VEVMUVYxYjg1
UTk0NEpodFBPOTRNMEgwZ0VGQW1HTWNoSUFDZ2tRdFBPOTRNMEgKMGdIZHp4QUExRWhrVG50NG1z
MnpqN2l5dVlsamJQeE95WU95VENWcDFoK1hORnl2MFh2UVFOVzBQNlh3UXRiTQorbWQxOCtBU3pG
dm51bmRIL2N4OFBkeTl0Si84dDdsNzdDcldkSWxYOGxrY3Q5RUlqTFFmN3ZxYllZMVpvZ2plCkEv
SkhHUjJ5R1REK1pBNDhoUVczR3ZoaWJWZGRYNCs1Sm5pciswVnhON3hvU2JPVDRXbE94c1ptZmE1
U1FDNzUKNnMxMnZxejdvRDFvTGJicC9Yb0RzV1RjQlNEOUEyaTh5SWQ4ZUpPRnBuT0doclpWQjk0
eWFEdlNuZVdNdDY4cwpBTXAzbWNKN3I0dkVQMVVHQlpoUkZYZ3JlUThWb1pZQ2UwOENXN2ZjbFMx
NnhLS250NWVLL0hWaTVJUFM0MmpoClVBS1dTWkRhekpTaTFNK2I3QzhTeHR5MktIUXdiUDhzcHZa
NlZsMWJrVU1qejFMNGpsNURKbElzZ2hGWlRDZk0KdGFDSGMwc004d0IrYXkvaU1ic0N0OGM2eFhh
dHhSMWRwai96M2daRk56QXBMTXY4bDUvYW5KS0I0bGdtVmFqawovOWJUNXBmcEZBV1BSSzVFcVpN
djMrSTFqLy83aDNiN1FaT3pyc0U3MEk1cmVRdXorMXdvK1FneHBjdGVUQ3d3CnlOaExmeldQeHBz
VFlScFo4OEExcURxcUpKTmhqaXY4dWxQektURmpjKzhrVFBxNW81bU42ZHBIOGtIRUhPaU8KbWhn
NE1IUUtTbVhxMnFyUDNXNW5SK011aXpkcTBIUWp0K0FiVCtha3J5SmZYMDNwWTh0VWljRWNNQ1Yv
OThvYQpsR0ROek5ubjhzZkh3dmtkYjZxbDQ4a3ArUEhDR0h2anM2TW9lZ0lUWlg3bjk3WXVDWTQ9
Cj1VVTFNCi0tLS0tRU5EIFBHUCBTSUdOQVRVUkUtLS0tLQo=

--b1_Edg4a7IvK6a55lfEEWrEE53s2xPOmFb5rbLIRmcSUVE--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.
bug unarchived. Request was from John Cummings <john@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 19:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 15:58:22 2021
Received: from localhost ([127.0.0.1]:34858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUDoU-0004mf-C9
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 15:58:22 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:42235)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mUDoS-0004mQ-9m
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 15:58:20 -0400
Date: Sat, 25 Sep 2021 19:58:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632599889;
 bh=grZxmd6PP9fdwojTG1Ug1x2oBG3t35psrc1b+BDJZUg=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=ikjHhFvBN18YWJMZCtgzTyJQlPRPXQ4ajcKZT5n84AcZz68nuEHEXzi+3uGEFDkaF
 O/PxjY6GwIDHut6qi338KYLVFg5J0NDfYh+DAE5akpOWWeSIi1pA3tUy8uJbWxckV3
 Dqij2yRMkIFA+5J1Si0MmyFiawJpsHDlswphOp4kRze8R0S98ypSoNtVxwMdITybje
 KwGzF27wG/JaGZ+2MbV6smIGNkNRbGZL+p22BZsd4fVUFBn8cSzu8mBtR7+j7soQJn
 51Y0K8N6nFSd35+vWpBLWQRNblntFBzS8a9KCP8he7giQc6PaAT3eX7kiy1vMEAiSc
 Tbdizp7Hzj9jQ==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <gThT-5LLYkKIk_8VbQdOXAgttFVluO-_j1jX0t6BBdAcBe48j1P7r_XbJ9y_MmVv23uH4XEugqoQ2B8FBKICGMWl8Seo4vfhDhtc3S3nLOY=@rootabega.net>
In-Reply-To: <83czowpj7o.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
 <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
 <83mto0pn2e.fsf@HIDDEN>
 <6BkKnxC8vJfxCuBEeMYpDIIMMNM9KoCWH_apnHQQkb3ejH9sD59wOd29-KnV1UGcIJs6DZS0D9wiAKFowJ1kD48m0LNUYaVLVSyEsQ1nGbs=@rootabega.net>
 <83k0j4pkac.fsf@HIDDEN>
 <SqbS39aV1mg5l26tSuRHoaRrkODFV_0HcOgi70XNXh9nVR5o1xos3O-U3FwyJ4ntsyOCFjl7w-3XBGKj6cAfJ3-7O8niflksk7HXF9SkBOQ=@rootabega.net>
 <83czowpj7o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_4EHDCsgwkJaTr1gPRrH3Z6RG0zscG6n73Cxy7sroyU"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_4EHDCsgwkJaTr1gPRrH3Z6RG0zscG6n73Cxy7sroyU
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Here's the latest patch. If I should send it as a new email to the bug addr=
ess, or create a new bug like Lars suggested, I can do that.
--b1_4EHDCsgwkJaTr1gPRrH3Z6RG0zscG6n73Cxy7sroyU
Content-Type: text/x-patch; name=0001-Add-tests-for-insert-directory.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Add-tests-for-insert-directory.patch
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--b1_4EHDCsgwkJaTr1gPRrH3Z6RG0zscG6n73Cxy7sroyU--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 19:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 15:07:47 2021
Received: from localhost ([127.0.0.1]:34779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUD1X-0003Ty-7A
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 15:07:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mUD1U-0003Tl-SE
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 15:07:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53218)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mUD1P-0003hG-O9; Sat, 25 Sep 2021 15:07:39 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3047
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mUD1P-0000lb-AC; Sat, 25 Sep 2021 15:07:39 -0400
Date: Sat, 25 Sep 2021 22:07:39 +0300
Message-Id: <83czowpj7o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <SqbS39aV1mg5l26tSuRHoaRrkODFV_0HcOgi70XNXh9nVR5o1xos3O-U3FwyJ4ntsyOCFjl7w-3XBGKj6cAfJ3-7O8niflksk7HXF9SkBOQ=@rootabega.net>
 (message from John Cummings on Sat, 25 Sep 2021 19:00:14 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
 <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
 <83mto0pn2e.fsf@HIDDEN>
 <6BkKnxC8vJfxCuBEeMYpDIIMMNM9KoCWH_apnHQQkb3ejH9sD59wOd29-KnV1UGcIJs6DZS0D9wiAKFowJ1kD48m0LNUYaVLVSyEsQ1nGbs=@rootabega.net>
 <83k0j4pkac.fsf@HIDDEN>
 <SqbS39aV1mg5l26tSuRHoaRrkODFV_0HcOgi70XNXh9nVR5o1xos3O-U3FwyJ4ntsyOCFjl7w-3XBGKj6cAfJ3-7O8niflksk7HXF9SkBOQ=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 25 Sep 2021 19:00:14 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630 <at> debbugs.gnu.org
> 
> So are we in agreement about these 3 things below?
> 
> 1. insert-directory in files.el used to be able to show the incorrect free
>    space for its FILE arg. The same function in ls-lisp.el and tramp-sh.el
>    continues to be able to show the incorrect free space today.
> 
> 2. The recipes/instructions I sent will be able to confirm this
> 
> 3. This should be changed because insert-directory should not be able to
>    insert free space info that is not correct for its FILE arg.

Yes.  But how exactly to fix this in ls-lisp remains to be seen.  I
think I know how, and I'm asking you to have your tests installed so I
could try my idea conveniently.

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 19:00:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 15:00:23 2021
Received: from localhost ([127.0.0.1]:34766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUCuM-0003JA-Vt
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 15:00:23 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:52015)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mUCuL-0003Ix-I8
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 15:00:21 -0400
Date: Sat, 25 Sep 2021 19:00:14 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632596415;
 bh=ueZdkugyyPzAw7iyTz9XBtdlf9NrUuAfzljQcOj2pWM=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=cYJ7CgJi9Gf3XIuzx7E8fpS0zh1ATgT0iOWaQ/N4sdQRTBu8mM/iDK5pJ4z/hR08f
 TwdX5ggGvDyDy8FZlfqcHFsOCMfUQdciBC7ZJfHQHIR8+XcMXegIN99N3dzrPJEEfs
 Ryf8FzkhXgQ7ilzj/cbguj4QJaNbxEPKErV4dccBDOE9UAo7qoq7mYNYSeJPQBBxaT
 aOAWD4vD50LYJtLHjtSLFqltztiwWe75xi1vT5zqYIGzHN4Gqf/Z07G3g71JssDq02
 V1V2eu4lmb0308vh1wkFTf9TxqjTDBKvbyuyAhNreEwWdUVeoScJ+V+8iH43kwau/7
 9nSHvtj33a8iw==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <SqbS39aV1mg5l26tSuRHoaRrkODFV_0HcOgi70XNXh9nVR5o1xos3O-U3FwyJ4ntsyOCFjl7w-3XBGKj6cAfJ3-7O8niflksk7HXF9SkBOQ=@rootabega.net>
In-Reply-To: <83k0j4pkac.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
 <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
 <83mto0pn2e.fsf@HIDDEN>
 <6BkKnxC8vJfxCuBEeMYpDIIMMNM9KoCWH_apnHQQkb3ejH9sD59wOd29-KnV1UGcIJs6DZS0D9wiAKFowJ1kD48m0LNUYaVLVSyEsQ1nGbs=@rootabega.net>
 <83k0j4pkac.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> wrote:

> > > With your recipe, indeed the free space is not always correct. But
> > > why is that use case interesting? insert-directory is not a normally
> > > a user-visible function.
> >
> > If being a user-visible function is necessary to consider it interestin=
g,
> > then I reported this as a bug in the verbose `list-directory' output,
> > which is documented in the manual.
>
> Like I said before: let's pick this up when your test is installed,
> and we can run it and debug it if needed.

I'd appreciate it if you continued this discussion until we can agree there
is actually a bug, or at least something that could be improved.  I don't
think we need the tests to be merged to be able to do that. In fact, I'd sa=
y
it's the other way around: if there's a chance that a maintainer might tell
me there is no bug, or that whatever I found is not worth changing, I would
decide not to invest any more time into it.

So are we in agreement about these 3 things below?

1. insert-directory in files.el used to be able to show the incorrect free
   space for its FILE arg. The same function in ls-lisp.el and tramp-sh.el
   continues to be able to show the incorrect free space today.

2. The recipes/instructions I sent will be able to confirm this

3. This should be changed because insert-directory should not be able to
   insert free space info that is not correct for its FILE arg.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 18:44:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 14:44:34 2021
Received: from localhost ([127.0.0.1]:34732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUCf4-0002ra-Io
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:44:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mUCf3-0002rP-Aw
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:44:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51892)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mUCex-0000dC-SD; Sat, 25 Sep 2021 14:44:27 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1626
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mUCex-0004vC-EJ; Sat, 25 Sep 2021 14:44:27 -0400
Date: Sat, 25 Sep 2021 21:44:27 +0300
Message-Id: <83k0j4pkac.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <6BkKnxC8vJfxCuBEeMYpDIIMMNM9KoCWH_apnHQQkb3ejH9sD59wOd29-KnV1UGcIJs6DZS0D9wiAKFowJ1kD48m0LNUYaVLVSyEsQ1nGbs=@rootabega.net>
 (message from John Cummings on Sat, 25 Sep 2021 18:01:26 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
 <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
 <83mto0pn2e.fsf@HIDDEN>
 <6BkKnxC8vJfxCuBEeMYpDIIMMNM9KoCWH_apnHQQkb3ejH9sD59wOd29-KnV1UGcIJs6DZS0D9wiAKFowJ1kD48m0LNUYaVLVSyEsQ1nGbs=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 25 Sep 2021 18:01:26 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630 <at> debbugs.gnu.org
> 
> > With your recipe, indeed the free space is not always correct. But
> > why is that use case interesting? insert-directory is not a normally
> > a user-visible function.
> 
> If being a user-visible function is necessary to consider it interesting,
> then I reported this as a bug in the verbose `list-directory' output,
> which is documented in the manual.

Like I said before: let's pick this up when your test is installed,
and we can run it and debug it if needed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 18:01:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 14:01:36 2021
Received: from localhost ([127.0.0.1]:34642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUBzU-00081X-H9
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:01:36 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:25899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mUBzS-00081H-6d
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:01:34 -0400
Date: Sat, 25 Sep 2021 18:01:26 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632592886;
 bh=vuOcpQLNC1RCZ1s4FOvaGg6ovPNK9QwSBTwg5Hcl254=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=AHfA7uzcdK8WqlPfw4eC1M41b4Da1rI7itISretQVUA6w5XRLPmencnFRGQkxmV/6
 6usFwBgn5rAFKie9Jnh6RcO1c2t5E9ubejFjeAn7o9qBitlxJwWe6g9zsDlOHeFgRc
 9BKfSn/d5mTwvDyouju56bZDsaT7Q7OKlTyRAbDjEy5xMjdFsWds5fDZkB6eiNDxEZ
 YdnFlKloSr68CPXDNDho6ya73M0KKvZxYZ9uPiOQOiCmTRsUmkJUpGrQvF8NQKHrYj
 aKbaH8xaZBZQes5ZfFsGwI8a9ERPUxGsIzL+bbeyy1HqUP1gow5qT9dmF/YvIKJSCR
 PwuFyQOxokXgQ==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <6BkKnxC8vJfxCuBEeMYpDIIMMNM9KoCWH_apnHQQkb3ejH9sD59wOd29-KnV1UGcIJs6DZS0D9wiAKFowJ1kD48m0LNUYaVLVSyEsQ1nGbs=@rootabega.net>
In-Reply-To: <83mto0pn2e.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
 <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
 <83mto0pn2e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> With your recipe, indeed the free space is not always correct. But
> why is that use case interesting? insert-directory is not a normally
> a user-visible function.

If being a user-visible function is necessary to consider it interesting,
then I reported this as a bug in the verbose `list-directory' output,
which is documented in the manual.

But I don't think it needs to be normally user-visible to be interesting.
Would programmers be welcome to use insert-directory in their code? It woul=
d
also be good to fix this so that any future Emacs functionality that used
insert-directory would have the correct output.

The help for that function says:

 insert-directory is a compiled Lisp function in
 =E2=80=98/media/ubuntu/turkey/freshemacs/emacs/lisp/files.el=E2=80=99.

 (insert-directory FILE SWITCHES &optional WILDCARD FULL-DIRECTORY-P)

 Insert directory listing for FILE, formatted according to SWITCHES.

I truncated that, but it doesn't say anything about depending on the
current default-directory. If the function performs a listing for FILE,
it shouldn't be possible for it to insert free space that is not correct
for FILE. If it's OK for insert-directory to rely on the current
default-directory, then the FILE argument itself seems unnecessary.









Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 17:44:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 13:44:34 2021
Received: from localhost ([127.0.0.1]:34628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUBj0-0007Yy-H7
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:44:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mUBiz-0007Yn-Ml
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:44:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49580)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mUBiu-0007wX-El; Sat, 25 Sep 2021 13:44:28 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1956
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mUBiu-0003cp-1I; Sat, 25 Sep 2021 13:44:28 -0400
Date: Sat, 25 Sep 2021 20:44:25 +0300
Message-Id: <83mto0pn2e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
 (message from John Cummings on Sat, 25 Sep 2021 17:37:29 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
 <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 25 Sep 2021 17:37:29 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630 <at> debbugs.gnu.org
> 
> > Do we agree that listing a given directory should show the same amount
> > of used and free space, not matter what is the default-directory of
> > the buffer from which you invoke insert-directory? Because that's
> > what I saw after running your recipe.
> 
> Yes, I agree. If you saw the same amount of free space,
> it's because you didn't make pwd-a and pwd-b be directories
> on two different volumes that have different amounts of free space.

OK, so I'm saying that when invoking Dired, I see the same numbers
(both of them) no matter from which buffer I invoked Dired.  Even if
the default-directory of each buffer is on a different drive.

With your recipe, indeed the free space is not always correct.  But
why is that use case interesting?  insert-directory is not a normally
a user-visible function.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 17:37:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 13:37:38 2021
Received: from localhost ([127.0.0.1]:34606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUBcH-0007OG-UT
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:37:38 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:26980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mUBcG-0007O3-FR
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:37:36 -0400
Date: Sat, 25 Sep 2021 17:37:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632591449;
 bh=cQeXjmE0Is08fIc30R+mMSsCgjVv92R6f4FzbYsymZE=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=bAEfdKEw4dhJRl/GHFtD6JFt0uFo4AhSbv0t1pf9jtXmkjXqAZefw52t43W8CgF8/
 T9zbsepWS5Mveqdl9tWPHExAz8ycRpvO5pQa//7q0s2W5ZWHgrwjQdpAAxxpXKpaKb
 2v8Md7y8jCwbI7KT1fzWpf+WXdjlcCfH1keB5ZV1maE+Pf69JtKcPQdMAi9CHMc0xM
 if8pcvy72FuvfS/NIkv+KVDc7n4fZVqlxMap3xSr+w223hugrVROZAVL81uqw41ksG
 Gu2Z5T4orQL80ZjM9H/Yzn/IHRwG6VB/a7hZMAmd0Vkm1tMkpMYumuiWQitpQl9SG9
 5KI9Gde2ddJ7g==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <5lfMDzHA2waL6rqBXIu9VVdZiGHqsP3B1wJq3MvU71eZwrdqyi4iXUwuEuldT-SNilGq3jrS88bYp4zKIAo-xD2K8teQdBKQszDYhm52bMc=@rootabega.net>
In-Reply-To: <83pmswpnwh.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 <83pmswpnwh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> What should I be looking at?

The "available" (or, loosely, "free") space reported.

> Do we agree that listing a given directory should show the same amount
> of used and free space, not matter what is the default-directory of
> the buffer from which you invoke insert-directory? Because that's
> what I saw after running your recipe.

Yes, I agree. If you saw the same amount of free space,
it's because you didn't make pwd-a and pwd-b be directories
on two different volumes that have different amounts of free space.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 17:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 13:26:32 2021
Received: from localhost ([127.0.0.1]:34588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUBRY-0004xD-9h
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:26:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mUBRW-0004x0-I5
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:26:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49262)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mUBRR-0001CC-7t; Sat, 25 Sep 2021 13:26:25 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4806
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mUBRQ-00005F-QZ; Sat, 25 Sep 2021 13:26:25 -0400
Date: Sat, 25 Sep 2021 20:26:22 +0300
Message-Id: <83pmswpnwh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
 (message from John Cummings on Sat, 25 Sep 2021 17:15:21 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
 <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 25 Sep 2021 17:15:21 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630 <at> debbugs.gnu.org
> 
> >>  I and others found that the same problem was duplicated in ls-lisp.el
> >>  and tramp-sh.el, and I provided instructions to reproduce attached
> >>  earlier in the thread:
> >>  https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-09/msg01813.html
> 
> > That recipe invokes insert-directory in some arbitrary way, which is
> > probably different from what happens when one invokes Dired.  So I'm
> > not sure we should worry about that.  But anyway, I tried that recipe
> > on MS-Windows, and I don't see the problem: the values shown on the
> > first line reflect my home directory, not pwd-a or pwd-b.
> 
> I'm replying only to this part for now, because we need to agree on
> the facts in order to do anything else. If what you say is accurate,
> then this bug may not really exist as I've described it, but I think
> I've done everything reasonable to eliminate that possibility. Are you
> sure that you picked values for pwd-a and pwd-b that would have
> different amounts of available space on MS-Windows, like two drive
> letters on physically separate disks?

No, they were 2 different directories on the same drive.

Maybe I don't understand which part of the totals you want to fix:
there are two numbers there.

> I tried to supply values for pwd-a and pwd-b that would be under
> different mount points on a Unix-like system, / and /proc, but if your
> system is different, you may need to pick different Unix-like values
> for those, too.

I indeed provided different values, but not on different volumes.
What is the significance of a different volume for this purpose?

> I just built 285f59cbe230701f15d28dfe8036cf2feb9d1d31 (terminal only)
> from a brand new git clone on Ubuntu 20,and here are the results of
> the recipes. I'll use a "[" character to quote the text I copied off
> my terminal:

Thanks, but it's hard to interpret that.  What should I be looking at?
Do we agree that listing a given directory should show the same amount
of used and free space, not matter what is the default-directory of
the buffer from which you invoke insert-directory?  Because that's
what I saw after running your recipe.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 17:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 13:15:41 2021
Received: from localhost ([127.0.0.1]:34563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUBH3-0004g1-C4
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:15:41 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:43679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mUBGr-0004fR-FF
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 13:15:39 -0400
Date: Sat, 25 Sep 2021 17:15:21 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632590122;
 bh=aagfMUsE/x4VPKCxwMcd1V2vyWtw5Z1REpERflJ4EFM=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=txjkgmPk5NG5SVePQrK0eDljkml5P35Y4EmaPRl7OyCTOO7U+RmumSSQKMbkwU/6x
 VPNPagzHGu+d+rgGY+EKiYf3zxkWsmzl/STadxVToxdUKVEOjLe/rfjxqMbyuguTEZ
 h8FtQ6pjIas0OjYhSvZAfh8dJn4hp2fyBKUAllstxXixGShg0vUan84tAd2k1hFmfT
 gADxHDJVEip8lM480Cn8rGIbaPkjcdQo6dkB7TsYR5VL5VJ640F1dAxV2U8V+18n5h
 01Bv3JUZqLOOrKS2DIkPG2sSR1ytm6hHuQGVMG7fgsuozb7JLMmoh1BZpo7UQjdWJZ
 2nTc8g9c/A0Ng==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <zKP7zNiyRToxFfQd2DBsto0utYUTFd-CZKF5t9varUq4frwlUkx8667M9R5hjNmIkRHPHyM1JUJHa-SGWDgE16IbZSxHe7_xT8XRxoWcbC4=@rootabega.net>
In-Reply-To: <83bl4gr9gr.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 <83bl4gr9gr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>  I and others found that the same problem was duplicated in ls-lisp.el
>>  and tramp-sh.el, and I provided instructions to reproduce attached
>>  earlier in the thread:
>>  https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-09/msg01813.html

> That recipe invokes insert-directory in some arbitrary way, which is
> probably different from what happens when one invokes Dired.  So I'm
> not sure we should worry about that.  But anyway, I tried that recipe
> on MS-Windows, and I don't see the problem: the values shown on the
> first line reflect my home directory, not pwd-a or pwd-b.

I'm replying only to this part for now, because we need to agree on
the facts in order to do anything else. If what you say is accurate,
then this bug may not really exist as I've described it, but I think
I've done everything reasonable to eliminate that possibility. Are you
sure that you picked values for pwd-a and pwd-b that would have
different amounts of available space on MS-Windows, like two drive
letters on physically separate disks?  But if Windows uses ls-lisp for
this, we should see the same results on any system using ls-lisp, so I
think it's OK to focus on ls-lisp and forget about MS-Windows for the
purposes of this reply.

I tried to supply values for pwd-a and pwd-b that would be under
different mount points on a Unix-like system, / and /proc, but if your
system is different, you may need to pick different Unix-like values
for those, too.

I just built 285f59cbe230701f15d28dfe8036cf2feb9d1d31 (terminal only)
from a brand new git clone on Ubuntu 20,and here are the results of
the recipes. I'll use a "[" character to quote the text I copied off
my terminal:

files.el (this case is already fixed):
 [emacsdev@ubuntu:~/freshemacs/emacs$ src/emacs -Q --eval "\
 [> (progn \
 [>    (setq pwd-a \"/\") \
 [>    (setq pwd-b \"/proc\")  \
 [>    (setq list-dir \"~\") \
 [>    (with-current-buffer-window \"a\" nil nil \
 [>       (cd pwd-a) \
 [>       (insert-directory list-dir \"-l\" nil t) \
 [>       (insert (format \"listing of %s in cwd %s\" list-dir (pwd)))) \
 [>    (with-current-buffer-window \"b\" nil nil \
 [>       (cd pwd-b) \
 [>       (insert-directory list-dir \"-l\" nil t) \
 [>       (insert (format \"listing of %s in cwd %s\" list-dir (pwd)))) \
 [>    (switch-to-buffer \"a\") \
 [>    (switch-to-buffer-other-window \"b\"))"

Resulting Emacs frame:
 [File Edit Options Buffers Tools Help
 [total used in directory 0 available 7.6 GiB
 [lrwxrwxrwx 1 emacsdev emacsdev 26 Sep 24 12:18 emacs -> /media/ubuntu/tur=
key/emacs
 [lrwxrwxrwx 1 emacsdev emacsdev 31 Sep 25 12:26 freshemacs -> /media/ubunt=
u/turkey/freshemacs
 [listing of ~ in cwd Directory /
 [
 [
 [
 [
 [
 [
 [
 [-UUU:%%--F1  a              All L1     (Fundamental) --------------------=
---------------------
 [total used in directory 0 available 7.6 GiB
 [lrwxrwxrwx 1 emacsdev emacsdev 26 Sep 24 12:18 emacs -> /media/ubuntu/tur=
key/emacs
 [lrwxrwxrwx 1 emacsdev emacsdev 31 Sep 25 12:26 freshemacs -> /media/ubunt=
u/turkey/freshemacs
 [listing of ~ in cwd Directory /proc/
 [
 [
 [
 [
 [
 [
 [-UUU:%%--F1  b              All L1     (Fundamental) --------------------=
---------------------
 [



ls-lisp.el (not fixed yet):
 [emacsdev@ubuntu:~/freshemacs/emacs$ src/emacs -Q --eval "\
 [> (progn \
 [>    (setq pwd-a \"/\") \
 [>    (setq pwd-b \"/proc\")  \
 [>    (setq list-dir \"~\") \
 [>    (require 'ls-lisp) \
 [>    (setq ls-lisp-use-insert-directory-program nil) \
 [>    (with-current-buffer-window \"a\" nil nil \
 [>       (cd pwd-a) \
 [>       (insert-directory list-dir \"-l\" nil t) \
 [>       (insert (format \"listing of %s in cwd %s\" list-dir (pwd)))) \
 [>    (with-current-buffer-window \"b\" nil nil \
 [>       (cd pwd-b) \
 [>       (insert-directory list-dir \"-l\" nil t) \
 [>       (insert (format \"listing of %s in cwd %s\" list-dir (pwd)))) \
 [>    (switch-to-buffer \"a\") \
 [>    (switch-to-buffer-other-window \"b\"))"

 Resulting Emacs frame with different available space:
 [File Edit Options Buffers Tools Help
 [total used in directory 1 available 7.6 GiB
 [lrwxrwxrwx  1 emacsdev emacsdev 26 09-24 12:18 emacs -> /media/ubuntu/tur=
key/emacs
 [lrwxrwxrwx  1 emacsdev emacsdev 31 09-25 12:26 freshemacs -> /media/ubunt=
u/turkey/freshemacs
 [listing of ~ in cwd Directory /
 [
 [
 [
 [
 [
 [
 [
 [-UUU:%%--F1  a              All L1     (Fundamental) --------------------=
---------------------
 [total used in directory 1 available 0 B
 [lrwxrwxrwx  1 emacsdev emacsdev 26 09-24 12:18 emacs -> /media/ubuntu/tur=
key/emacs
 [lrwxrwxrwx  1 emacsdev emacsdev 31 09-25 12:26 freshemacs -> /media/ubunt=
u/turkey/freshemacs
 [listing of ~ in cwd Directory /proc/
 [
 [
 [
 [
 [
 [
 [-UUU:%%--F1  b              All L1     (Fundamental) --------------------=
---------------------
 [





tramp-sh.el (not fixed yet):
 [emacsdev@ubuntu:~/freshemacs/emacs$ src/emacs -Q --eval "\
 [> (progn \
 [>    (setq pwd-a \"/\") \
 [>    (setq pwd-b \"/proc\")  \
 [>    (setq list-dir \"/ssh:emacsdev@localhost:~/\") \
 [>    (require 'tramp) \
 [>    (setq ls-lisp-use-insert-directory-program t) \
 [>    (with-current-buffer-window \"a\" nil nil \
 [>       (cd pwd-a) \
 [>       (insert-directory list-dir \"-l\" nil t) \
 [>       (insert (format \"listing of %s in cwd %s\" list-dir (pwd)))) \
 [>    (with-current-buffer-window \"b\" nil nil \
 [>       (cd pwd-b) \
 [>       (insert-directory list-dir \"-l\" nil t) \
 [>       (insert (format \"listing of %s in cwd %s\" list-dir (pwd)))) \
 [>    (switch-to-buffer \"a\") \
 [>    (switch-to-buffer-other-window \"b\"))"

 Resulting Emacs frame with different available space:
 [File Edit Options Buffers Tools Help
 [total used in directory 0 available 7.6 GiB
 [lrwxrwxrwx 1 emacsdev emacsdev 26 Sep 24 12:18 emacs -> /media/ubuntu/tur=
key/emacs
 [lrwxrwxrwx 1 emacsdev emacsdev 31 Sep 25 12:26 freshemacs -> /media/ubunt=
u/turkey/freshemacs
 [listing of /ssh:emacsdev@localhost:~/ in cwd Directory /
 [
 [
 [
 [
 [
 [
 [
 [-UUU:%%--F1  a              All L1     (Fundamental) --------------------=
---------------------
 [total used in directory 0 available 0 B
 [lrwxrwxrwx 1 emacsdev emacsdev 26 Sep 24 12:18 emacs -> /media/ubuntu/tur=
key/emacs
 [lrwxrwxrwx 1 emacsdev emacsdev 31 Sep 25 12:26 freshemacs -> /media/ubunt=
u/turkey/freshemacs
 [listing of /ssh:emacsdev@localhost:~/ in cwd Directory /proc/
 [
 [
 [
 [
 [
 [
 [-UUU:%%--F1  b              All L1     (Fundamental) --------------------=
---------------------
 [







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 14:55:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 10:55:52 2021
Received: from localhost ([127.0.0.1]:34290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU95j-0000iP-Qf
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 10:55:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mU95j-0000iE-0M
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 10:55:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44980)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mU95d-0008UR-Ji; Sat, 25 Sep 2021 10:55:45 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3464
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mU95D-0005fw-L0; Sat, 25 Sep 2021 10:55:42 -0400
Date: Sat, 25 Sep 2021 17:55:16 +0300
Message-Id: <83bl4gr9gr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
 (message from John Cummings on Sat, 25 Sep 2021 14:29:17 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
 <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 25 Sep 2021 14:29:17 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630 <at> debbugs.gnu.org
> 
> > Some context is probably lost here: which bug are you talking about?
> 
> 50630. A breakdown of the context from other messages in this thread
> that've driven my responses so far:
> 
>  I found that list-directory in files.el reported the free space of
>  default-directory instead of the function's DIRNAME argument. The fix I
>  submitted addressed that in insert-directory in files.el, so it
>  seems like people are OK with treating this as a problem in
>  insert-directory. i.e. the same incorrect free space was reported
>  whether you called list-directory or insert-directory.

At the time, I looked at what happened on Windows, and didn't see the
problem, because ls-lisp does

    (get-free-disk-space ".")

and the default-directory of the buffer at that point is already set
to the directory whose listing we will present.

>  I and others found that the same problem was duplicated in ls-lisp.el
>  and tramp-sh.el, and I provided instructions to reproduce attached
>  earlier in the thread:
>  https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-09/msg01813.html

That recipe invokes insert-directory in some arbitrary way, which is
probably different from what happens when one invokes Dired.  So I'm
not sure we should worry about that.  But anyway, I tried that recipe
on MS-Windows, and I don't see the problem: the values shown on the
first line reflect my home directory, not pwd-a or pwd-b.

>  I've now submitted a regression test for 50630, which I thought would
>  be appropriate to include in the 50630 context. I also asked
>  elsewhere in the thread whether we shouldn't also handle the instances
>  of the bug in ls-lisp.el and tramp-sh.el in that same bug instead of
>  creating additional bugs for what is essentially the same small bug
>  duplicated a few times. But it's just a question, and if the leaders
>  want to have one bug for every library, I'll understand.

I suggest that you remove the special treatment of ls-lisp from that
test.  As I say above, I don't expect it to need any special
treatment, I expect it to pass the test without any changes.  And if
it fails, let's take it from there.

In any case, I see no reason to move the ls-lisp specific test of
insert-directory to ls-lisp-tests.el: since we are testing
insert-directory, the natural place for that test is in
files-tests.el, regardless of what platform-specific tricks are at
work behind the scenes.

> I want to avoid situations where someone runs files-tests.el and it
> actually tests the insert-directory implementation from ls-lisp.el.

I see no reason to avoid that.  The entry point is insert-directory,
and that is what's being tested here.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 14:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 10:29:34 2021
Received: from localhost ([127.0.0.1]:34281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU8gI-0008Vz-8X
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 10:29:34 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:13726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mU8gG-0008Vk-7q
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 10:29:32 -0400
Date: Sat, 25 Sep 2021 14:29:17 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632580161;
 bh=biTO/NSpoTpghCdEd4MFBT0pYo1gDO6ACExhyNaBlnI=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=h1WdNxMYGItctH26+aYm1c8YNhKTsgVJXniPH+WbVIB+Z+rHavJRwaCxnmwWxmhXX
 gboOz6ByCWoDnIsaYFeJHMrEZM+GGmxHgnilgiclfzZ9emzCAKYssw0mOEfVigSHMC
 aZq7kNcwW1k0WWyIa5ZBBWUlcLoTQrW551CPPatV1Zpg0Tp+XK0g+ej0aSl6PFEUkN
 gxlZqQcElB1YhTlXFtp+Rk57rWET6s5AfuYRvOvd4HpcLQAw2JjikfQ+eborxK9XGr
 uEZP//1KNjRIWARtapLWqghWFY5j5T5xErOt/SrBfFuzed011XjvdWrFXqJm5Sm5IM
 kcmlJeJDtqn3Q==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <bJBXDEN3PSExEThYQaTfVXnwfw0FIoCIwloahPOCWabzRjolSXyTZCT18hj-YCtsvSfN-aR-g8BdHWMX_vArDdvHqcLNBUUaXTtlaRUbf1k=@rootabega.net>
In-Reply-To: <83ilyorei3.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 <83ilyorei3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii wrote:

>> Date: Sat, 25 Sep 2021 11:38:08 +0000
>> From: John Cummings <john@HIDDEN>
>> Cc: 50630 <at> debbugs.gnu.org
>>
>> Eli Zaretskii <eliz@HIDDEN> wrote:
>>
>> >> Date: Fri, 24 Sep 2021 19:58:25 +0000
>> >> From: John Cummings <john@HIDDEN>
>> >>
>> >> Along those lines, I also attempted to skip the test when ls-lisp
>> >> would be used during files-tests.el, which I predict might happen whe=
n
>> >> building on Windows?
>> >
>> > Why did you need to skip those tests?  Can you elaborate?
>>
>> ls-lisp has its own implementation of insert-directory, which
>> duplicates the bug, and which will also duplicate the fix when I
>> submit it soon.
>
> Some context is probably lost here: which bug are you talking about?

50630. A breakdown of the context from other messages in this thread
that've driven my responses so far:

 I found that list-directory in files.el reported the free space of
 default-directory instead of the function's DIRNAME argument. The fix I
 submitted addressed that in insert-directory in files.el, so it
 seems like people are OK with treating this as a problem in
 insert-directory. i.e. the same incorrect free space was reported
 whether you called list-directory or insert-directory.

 I and others found that the same problem was duplicated in ls-lisp.el
 and tramp-sh.el, and I provided instructions to reproduce attached
 earlier in the thread:
 https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-09/msg01813.html
 You can confirm the bug in tramp-sh.el and ls-lisp.el against master
 (currently c17eded545) , and you can confirm the bug in files.el
 against revision a462ccd536 and earlier.

 I've now submitted a regression test for 50630, which I thought would
 be appropriate to include in the 50630 context. I also asked
 elsewhere in the thread whether we shouldn't also handle the instances
 of the bug in ls-lisp.el and tramp-sh.el in that same bug instead of
 creating additional bugs for what is essentially the same small bug
 duplicated a few times. But it's just a question, and if the leaders
 want to have one bug for every library, I'll understand.

> And if that bug will be fixed in ls-lisp, then why do you need to
> single ls-lisp out?

I want to avoid situations where someone runs files-tests.el and it
actually tests the insert-directory implementation from ls-lisp.el. My
plan is to try to reuse, or at worst, copy the testing helpers that I
already submitted for files.el to perform the same test scenario in
ls-lisp-tests.el and in an appropriate place in the tramp tests.
But as I mentioned in another reply, I also understand that making
files-tests.el have to worry about this might not be appropriate, and
if there's another way to handle that, I'd be glad to hear about it
and will be researching that myself, too.


>> I admit I may not correctly or completely understand the way that
>> ls-lisp could relate to a batch ert run at build time, or how that
>> varies between architectures.
>
> Whenever you invoke insert-directory, on MS-Windows it will invoke
> ls-lisp.

That aligns with my reasoning, and so someone running the 50630
regression test for files.el on MS-Windows would actually be testing
ls-lisp.el, and would see inaccurate regression status for files.el.
As of today, the regression test (files-tests-bug-50630) would fail,
and I wouldn't want to have me adding this test be a reason for
any failing MS-Windows builds or other control gates. In the future,
anyone running that test on MS-Windows wouldn't see a failure, but
they still wouldn't have tested the code that files-tests.el is
intended to test.


>> I personally find the variable a little confusing,
>> and think that negating its name and meaning would be more natural,
>> but the documentation does make it clear, even if I have to think
>> about it for a bit every time I set it.
>
> You are talking about ls-lisp-use-insert-directory-program?  Why it is
> confusing?  ls-lisp by default doesn't use any programs, it accesses
> the files' attributes using Emacs Lisp APIs; so the "program" part is
> a reference to the fact that on Posix platforms insert-directory uses
> the 'ls' program instead.

I only mentioned that because I thought it might have been a reason
why it was hard to understand what I was doing with that variable in
files-tests.el. The reason I find it confusing, which could be
personal to me, is that I think it's more natural that a library's
config variables would need to be non-nil when wanting to enable a
feature or function of that library. So a name like
'ls-lisp-use-ls-lisp-insert-directory', and inverting the values,
would have been easier for me to remember, and simpler to express:

  (and (featurep 'ls-lisp)
       ls-lisp-use-ls-lisp-insert-directory)

would mean that we're using the ls-lisp implementation.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 13:06:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 09:06:40 2021
Received: from localhost ([127.0.0.1]:60406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU7O4-0003ur-5U
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 09:06:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mU7O1-0003ub-R6
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 09:06:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42644)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mU7Nw-0004cl-EF; Sat, 25 Sep 2021 09:06:32 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4787
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mU7Nv-0001F1-IT; Sat, 25 Sep 2021 09:06:32 -0400
Date: Sat, 25 Sep 2021 16:06:28 +0300
Message-Id: <83ilyorei3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
 (message from John Cummings on Sat, 25 Sep 2021 11:38:08 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 25 Sep 2021 11:38:08 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630 <at> debbugs.gnu.org
> 
> Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> >> Date: Fri, 24 Sep 2021 19:58:25 +0000
> >> From: John Cummings <john@HIDDEN>
> >>
> >> Along those lines, I also attempted to skip the test when ls-lisp
> >> would be used during files-tests.el, which I predict might happen when
> >> building on Windows?
> >
> > Why did you need to skip those tests?  Can you elaborate?
> 
> ls-lisp has its own implementation of insert-directory, which
> duplicates the bug, and which will also duplicate the fix when I
> submit it soon.

Some context is probably lost here: which bug are you talking about?

And if that bug will be fixed in ls-lisp, then why do you need to
single ls-lisp out?

> I admit I may not correctly or completely understand the way that
> ls-lisp could relate to a batch ert run at build time, or how that
> varies between architectures.

Whenever you invoke insert-directory, on MS-Windows it will invoke
ls-lisp.

> I personally find the variable a little confusing,
> and think that negating its name and meaning would be more natural,
> but the documentation does make it clear, even if I have to think
> about it for a bit every time I set it.

You are talking about ls-lisp-use-insert-directory-program?  Why it is
confusing?  ls-lisp by default doesn't use any programs, it accesses
the files' attributes using Emacs Lisp APIs; so the "program" part is
a reference to the fact that on Posix platforms insert-directory uses
the 'ls' program instead.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 12:31:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 08:31:00 2021
Received: from localhost ([127.0.0.1]:60384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU6pX-00031c-Rt
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 08:31:00 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:43601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mU6pW-00031O-7d
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 08:30:59 -0400
Date: Sat, 25 Sep 2021 12:30:51 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632573051;
 bh=SG/f1b2iU0WatDRoPyI8XDD53ATddG9HI+7uubpSjKk=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=rjU1B9dztVc9zuQsAN/gL2Btt+iy3zoVI41sNAEhMiWJg1/p9izYG4GURx9NqNxTA
 LOCa3RWYUfkupUguDZh4CwsT7KcOIiyUF/L04rNJsdfKkE4Ws0R1lJ2CgJsb9C8kt9
 shOeBH4Yc+vNPN4iObnjSEwn7+X9mWkzvOaFdjFm8TlOWC+8hKQuMvgxS3Ih8lz0GQ
 /ZlMDI2oTkGxxqXXnGU4vWHACTxdnZMIidTtfuvjOWmAIn9iqbxBDGJf7r+8H5wxSs
 NMdjU3F6b/rIrL0xJZiTUN9ssWfZvjSe6B3ZcNsHlQtB6T5Kp4CrVnk4vXaGnBG+mx
 o4fjw8lJvb6mg==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <SgjN8uB24YdaAD9sLrdY5fijBiYolxEsLiSSg8ODI06VAySrVBimQVgFtSBMAcaJb9E_2zE-5D3HYmHAOfxLxH-qGCNDnk_plNNUFpc9akE=@rootabega.net>
In-Reply-To: <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
 <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

John Cummings <john@HIDDEN> wrote:

> Eli Zaretskii eliz@HIDDEN wrote:
> > > Date: Fri, 24 Sep 2021 19:58:25 +0000
> > > From: John Cummings john@HIDDEN
> > > Along those lines, I also attempted to skip the test when ls-lisp
> > > would be used during files-tests.el, which I predict might happen whe=
n
> > > building on Windows?
> > Why did you need to skip those tests? Can you elaborate?
> ls-lisp has its own implementation of insert-directory, which
[snipped long section about WHY I thought the test should be skipped]

Also, I now see how making files-tests.el responsible for
accommodating ls-lisp.el might be backwards. If skipping the tests is
still a good idea, I'll try to learn if there's a more conventional
way to do it, e.g. having files-tests.el look for more general signs
that the insert-directory implementation has been overridden, or
maybe having ls-lisp.el be responsible for asking that that test be
skipped.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 12:13:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 08:13:40 2021
Received: from localhost ([127.0.0.1]:60373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU6Ym-0002am-2Q
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 08:13:40 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:10916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mU6Yk-0002aT-2a
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 08:13:39 -0400
Date: Sat, 25 Sep 2021 12:13:26 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632572007;
 bh=OJL58CPh6v5G5Qd922DiiN/ah/lC2q9+Ek/y2mqKL8E=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=mPGNl0Qok4TK9CkxnVNkA1mPlEYGCXOv6KzGttYkNQbfiDF+FvbFTGNc47j8o+ckf
 Rpw5BdQDk9qR5C7xTzs1/ZzT32TSsvSP96/OWPHjOvLAuy7Ybo3+FKt9iels897+F6
 Y9pIThuSt9J/+EJpzgbrEIw2xH/eas08Vme0h6XaPwqSlGe4ud3nGyoI+4o5FnfeSo
 6PlkJv4O+53KJrSFx1cm8CS3/1g6D5nor8gokg1uwwKNGpG6+Z6d+2CfgGDszmCYUu
 camVzeVXyLMvNsl9iGbnWDMjoncdOpKmNNvXUWm/l9klvTJpAhY3xv/zEykgTQt+V+
 eFEf+Inx6qHgw==
To: Michael Albinus <michael.albinus@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <09Q2_4ijvzbpkXBOIHRu07ASyULhwDIyz2tesdh7TeKgTPIM2C5Fzorc5-z7hYpNpQ37xG25Nz7SXR9Uw2I7QolyUPk8wu-FxaE8KekDbPA=@rootabega.net>
In-Reply-To: <87v92o9979.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <87ee9dqvcu.fsf@HIDDEN>
 <ukmybdtZB8AXq60A4leLocBvyH5Rp411X0JU0CuRDzXAzRTr0-NlX7opkzBKZv3GbFCfoeL8icqraj7XaswsUoeqnI0njTv6SnkgIdl8IJw=@rootabega.net>
 <87v92o9979.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus <michael.albinus@HIDDEN> wrote:

> For Tramp (I'm the maintainer) I don't care whether it is a separate bug
> number, or not.

Thanks Michael, I appreciate the guidance and flexibility. I see how
what looks like a single simple bug could end up lumping together a
bunch of otherwise unrelated maintainers or contributors, so if
separate bugs turns out to be the decision, so be it. I will certainly
keep this in mind if I run into a bug which is larger or more complex,
or can't be fixed quickly enough to make it into the same release.

> If you want to add/extend a regression test for the
> Tramp case, you might check whether tramp-test17-insert-directory in
> test/lisp/net/tramp-tests.el is a proper place.

The test17 test(s) came up on my radar while I was trying to measure
the extent of the bug. I will make sure that I give good consideration
to possibly extending those tests instead of only adding new
ones. From what I remember, even though several existing tramp tests
called insert-directory, they were orthogonal to the free space aspect.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 11:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 07:38:29 2021
Received: from localhost ([127.0.0.1]:60365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU60j-0001LU-58
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 07:38:29 -0400
Received: from mout.gmx.net ([212.227.15.19]:42467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mU60h-0001L2-8I
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 07:38:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1632569900;
 bh=qttazrpXdXDYlf6Z1vmLIoZWv/2EFWNMRmeSSbTe2Zc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=XQdV/hohnVDdRHMuC2gfK35AD1GkGGjn91vlxV4Mm++jW8jrTvKN0D4OBBGPGg/Jz
 k53TCIIa6adcukWTime49CRLKSMVMNkqPrwZjB8daCO/5GtESjxoYniJi2OI+Q6lqz
 ch+yfEkWpMQtj4O7JYLsL18MAvs0In9Q+5keB83E=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.91.238.157]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MA7GS-1maAXR34Pa-00Bc1S; Sat, 25
 Sep 2021 13:38:19 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <87ee9dqvcu.fsf@HIDDEN>
 <ukmybdtZB8AXq60A4leLocBvyH5Rp411X0JU0CuRDzXAzRTr0-NlX7opkzBKZv3GbFCfoeL8icqraj7XaswsUoeqnI0njTv6SnkgIdl8IJw=@rootabega.net>
Date: Sat, 25 Sep 2021 13:38:18 +0200
In-Reply-To: <ukmybdtZB8AXq60A4leLocBvyH5Rp411X0JU0CuRDzXAzRTr0-NlX7opkzBKZv3GbFCfoeL8icqraj7XaswsUoeqnI0njTv6SnkgIdl8IJw=@rootabega.net>
 (John Cummings's message of "Sat, 25 Sep 2021 10:45:08 +0000")
Message-ID: <87v92o9979.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:14bcN2jt8QXnRhh7n3GeQ5hQPKPMRyBEjw3ggnvghlpw/4Q9Cpx
 i2053dKuMf++slomRNcjBCiupc8BO701mY29GXLaj4ofacyMzgzHuAlBc0qenfkbplQipgr
 v9tZ6jn1cyCnoMtKbwmf/GjojJiwWppQjq3YpTcUbeFh+5T2Hybr5zNYqSwL8/sh1hJs3de
 q+KtB3zuhxXOFXyQPOftw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vrtO9O+nyQU=:u5z9GKUXtvVhq+FeZe6tFf
 7RQ4qChCTClzF1oEkfo/GMKEqG9DAMKipaBR9kIYwHDjvyilnrcPvynUy+EP5g/i7EUwIXn1e
 wx0shMFpoTZ5RXK8c/qK6JaahssR20hn9MyPnHJlLRV1pJMkQh7NFyCIJfDU7RfL/p2XWXfPi
 MrzU1dpQxqnaucAHTk8tN2zg9yeJO1KvqYB6wy4JjC4jifnjF1tM/CPK8uMQJuOc2Aw7prBrl
 86jRFUBAtro4twucsiZpuAQHjH4uFW3PZdWYSuVZMIJp4YhuEKqUaTZ1N/C7PfG2CMiv4g2Tk
 fkELAymoZynJuE7DEp4xJQ08+plJEAYkBw+UO98BVLoXRHBqD0P3+71fVzlxqJGJq1o+tg9Jl
 esUtogzQ/3hgmuNgTHFDKlnGPDF12JfBlfELJfQqCd1yq88g5xR68hpU7CyHH2TS2Pm90iQdH
 D/AnV6RsL++Jj+VfUVh2G3yqCCb6Csnfg/1JdECrvZfYHx1SgMy5eaReSbdiin+/7598evror
 KikZtPe7tyvMZSNscijo0GzEzfKeBUy14QpV925Fq+YlVQTXk8gc+Ly1xoCsURa0lUazCt7GH
 tBf8nXEMGTzEH3j6apUKRQs9l1gHpMo280f6UCl680CMKAJS9HdWWj+GrVMwVYPNFJZh1KFvY
 EAnRfNe2UuOkJBYgpENNyFdpxOLM59RY03r/oaB+pE3ZzO3vr4P7XXGtFVKRF80NJXckIWcZF
 cb1mpDajiDZmrEi0IRtJF6JjRF7LhhKmfrfIFKOhwa+8i1bPUn/Xv3L5XsqDQcHpopvLdKVSw
 XG91LAQRi3ojw6X7WjdQeOBwdRzkDfdh6R/hIwNqH+E0QzldOneiM/Rj5Of4HDDbUt4QiKDMN
 HN2dJA3kLn9mF+79QJ5iUL2OJrRitgm0queDkDuj2jlJZVjD3fVpMm87FgETF6iABoJg5SMHN
 6grak9Yo1QHwQxxWoKUJGAOphrsvNue/VlpypYfiKzEPuKt3v5rKEXCLgcsQvXxCGkz3UiftY
 ufPB6hb01VYGd4Bagr+NbzgF2Ynev+3CW+KtVPX/q800pnw5YpXB3Wr1ZAYHizFRXP+Z0X3xU
 5bEAaLfc5Y/4Qc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50630
Cc: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

John Cummings <john@HIDDEN> writes:

Hi John,

>> But this bug report has been closed as fixed, so to avoid your patch
>> being lost, can you resubmit it with `M-x submit-emacs-patch' so that it
>> gets its own bug number?
>
> I'd be glad to do that, but before I do, let me make sure we're all on
> the same page. Earlier in the discussion, it was revealed that this
> same bug is present in ls-lisp.el and tramp-sh.el, and I plan to
> submit the trivial fixes for those next. (Let me know if the recipes
> to confirm those bugs I attached earlier don't work for you.) The
> cause of, and fix for, all of them are essentially the same, just
> located in 3 different places. Would you prefer to have a bug number
> for each of the places where it occurs, or to reopen this one (if
> that's something that's done) to hold all the fixes for essentially
> the same bug, as well as for the regression tests linked to those
> fixes?

For Tramp (I'm the maintainer) I don't care whether it is a separate bug
number, or not. If you want to add/extend a regression test for the
Tramp case, you might check whether tramp-test17-insert-directory in
test/lisp/net/tramp-tests.el is a proper place.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 11:38:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 07:38:24 2021
Received: from localhost ([127.0.0.1]:60362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU60d-0001LB-PK
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 07:38:24 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:35809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mU60c-0001Kw-7C
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 07:38:22 -0400
Date: Sat, 25 Sep 2021 11:38:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632569891;
 bh=rONtBxdBv8XxJqa6ZMs4pIgJEqOKpr0H52sk7CooZ7o=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=igWgVHy4zLgjCKu8qoyAe1LnqHI6T+UAPErUsjKnkgPEl1j/WGyC3e7crOYqigpSf
 y7PtcOEWoxRKnwaEDCAzyvFPwYe+LdM/nwpPqRZP8TJpRwGZwLuA5vy9av1ykjWhyz
 A/as7yPQ/ESzyHuWj6E4oESYLXHcCYUq3G+xhBifZC2lSjGLy8hCgQu7DiUG2q+bXY
 2zptlEUjjMuWUhYm60AetB8B17+KqEVZFGqnqnwhVGCbHmTV+93KlUBhZfSIrfMxUq
 AoH5lO4DjkJ/x+OygdDUUDyKyFDNBto39ekCiib3BVGbOYEawkuwxALVFnSy1TFzEJ
 MLEaQ7ww3YxSA==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <KCMu-RkC1K53e9eYlde2GN5zAgOGG2vN-nYT812hOxG3ZA1CvjN3OPuIFnk_xyxb3ITy71q4FqyfH2HCaxIEaC-HzJDQ2W5ciiiMP89FPAE=@rootabega.net>
In-Reply-To: <83a6k1rxrc.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <83a6k1rxrc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> wrote:

>> Date: Fri, 24 Sep 2021 19:58:25 +0000
>> From: John Cummings <john@HIDDEN>
>>
>> Along those lines, I also attempted to skip the test when ls-lisp
>> would be used during files-tests.el, which I predict might happen when
>> building on Windows?
>
> Why did you need to skip those tests?  Can you elaborate?

ls-lisp has its own implementation of insert-directory, which
duplicates the bug, and which will also duplicate the fix when I
submit it soon.  (Let me know if the recipe to confirm the bug is
present in ls-lisp.el attached earlier doesn't work for you.)  So if
ls-lisp was "active" during this test, it could be a false
positive/negative for this test, depending on whether ls-lisp had been
fixed yet. (See my reply to your later question in this message for
what I mean when I say ls-lisp is "active", because just requiring the
library isn't enough.)

On my GNU/Linux system, ls-lisp is not active when running this test
from the Makefile, but I don't want to assume that that is true of
every system. Since Windows GNU Emacs uses ls-lisp.el by default when
running, I thought it might be one of those exceptions at build time
as well. I confirmed that it's also true if someone runs this test
interactively after having activated ls-lisp, regardless of the
system. That is, I activated ls-lisp, eval'd files-tests.el, and ran
ert for that file, and the test failed because it used the buggy
insert-directory from ls-lisp. So even if building a Windows Emacs (or
any system) does not use ls-lisp by default, is there any harm in
having this skip condition (other than potentially confusing the
reader)?

I admit I may not correctly or completely understand the way that
ls-lisp could relate to a batch ert run at build time, or how that
varies between architectures. If it's NOT something to worry about
during a 'make', would I still need to worry about someone who ran
this test after enabling ls-lisp manually? Perhaps I could fail the
test so the user knows what they did didn't make sense?

Also, note that this is only true for the 50630 regression test. That
may have been the wrong choice. Perhaps it would make sense to run any
test of insert-directory's implementation if and only if ls-lisp.el is
not active?

>> +       ;;Try to verify that insert-directory will come from files.el,
>> +       ;;not ls-lisp.el. Windows builds will probably use ls-lisp.el
>> +       ;;by default, which will invalidate some tests.
>> +       (insert-directory-program-used (or (not (featurep 'ls-lisp))
>> +                                          ls-lisp-use-insert-directory-=
program)))

> I guess this is part of the same question I asked above?  Because I
> don't think I understand what you are trying to do here and why.

Yes, my logic was that this being non-nil means the test will be using
the Emacs-default insert-directory implementation from files.el, and
not the ls-lisp.el one.  In order to use the ls-lisp one (what I've
referred to as ls-lisp being "active" previously), the ls-lisp library
needs to be loaded, and the variable on the second line needs to be
nil, otherwise ls-lisp will just delegate back to files.el for
insert-directory. I personally find the variable a little confusing,
and think that negating its name and meaning would be more natural,
but the documentation does make it clear, even if I have to think
about it for a bit every time I set it.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 10:45:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 06:45:25 2021
Received: from localhost ([127.0.0.1]:60309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU5BN-0004WN-1w
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 06:45:25 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:48568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mU5BK-0004Nh-7c
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 06:45:23 -0400
Date: Sat, 25 Sep 2021 10:45:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632566711;
 bh=uYgxTzY8BgucmgdGDMYVfyf+NEWodmuxKOgF7xXYGmA=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=jaxLBauPaVokue6VNzQ8qBgOaYLJZulUXnOV7eCSaoQz3QH+oRv9hYWUDK0NneTSv
 i56DiB3taSu1C/r77tbdozysruyO/3TDc9CMvsRF++mu3RaCQng51rk+i29ZFKJjcw
 chyZkayLVVYhCSm5S4lLWbCchAgiGXJPsaQJ8cHmhcZmjbBWAN1zQWt4XedRy5z4/6
 KbAOFX4EtesiUP/XcoGXfb9NSHA/35KRq8w8CoDb5OzG+OXoWoa+6DXa5dAQjCTTq6
 LagsU1x0JjhUsrDDdkexMff4R1LIhifbW0dyNOA1aG3/9sAdYYkSB5K8BJscaM+laz
 /wQ66oWioVuGg==
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
Message-ID: <ukmybdtZB8AXq60A4leLocBvyH5Rp411X0JU0CuRDzXAzRTr0-NlX7opkzBKZv3GbFCfoeL8icqraj7XaswsUoeqnI0njTv6SnkgIdl8IJw=@rootabega.net>
In-Reply-To: <87ee9dqvcu.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 <87ee9dqvcu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
Cc: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> But this bug report has been closed as fixed, so to avoid your patch
> being lost, can you resubmit it with `M-x submit-emacs-patch' so that it
> gets its own bug number?

I'd be glad to do that, but before I do, let me make sure we're all on
the same page. Earlier in the discussion, it was revealed that this
same bug is present in ls-lisp.el and tramp-sh.el, and I plan to
submit the trivial fixes for those next. (Let me know if the recipes
to confirm those bugs I attached earlier don't work for you.) The
cause of, and fix for, all of them are essentially the same, just
located in 3 different places. Would you prefer to have a bug number
for each of the places where it occurs, or to reopen this one (if
that's something that's done) to hold all the fixes for essentially
the same bug, as well as for the regression tests linked to those
fixes?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 06:10:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 02:10:39 2021
Received: from localhost ([127.0.0.1]:60123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU0tT-0004hF-Ic
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 02:10:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mU0tS-0004gv-Ef
 for 50630 <at> debbugs.gnu.org; Sat, 25 Sep 2021 02:10:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59894)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mU0tN-0002dc-6G; Sat, 25 Sep 2021 02:10:33 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2203
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mU0tM-0005v7-Pq; Sat, 25 Sep 2021 02:10:33 -0400
Date: Sat, 25 Sep 2021 09:10:31 +0300
Message-Id: <83a6k1rxrc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 (message from John Cummings on Fri, 24 Sep 2021 19:58:25 +0000)
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 24 Sep 2021 19:58:25 +0000
> From: John Cummings <john@HIDDEN>
> 
> Along those lines, I also attempted to skip the test when ls-lisp
> would be used during files-tests.el, which I predict might happen when
> building on Windows?

Why did you need to skip those tests?  Can you elaborate?

> +       ;;Try to verify that insert-directory will come from files.el,
> +       ;;not ls-lisp.el. Windows builds will probably use ls-lisp.el
> +       ;;by default, which will invalidate some tests.
> +       (insert-directory-program-used (or (not (featurep 'ls-lisp))
> +                                          ls-lisp-use-insert-directory-program)))

I guess this is part of the same question I asked above?  Because I
don't think I understand what you are trying to do here and why.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 25 Sep 2021 01:48:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 21:48:02 2021
Received: from localhost ([127.0.0.1]:59769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTwnK-0000Qp-Nd
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 21:48:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTwnH-0000QE-SC
 for 50630 <at> debbugs.gnu.org; Fri, 24 Sep 2021 21:48:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eX0nf34ZlL4U+IvWwMowfffulRYSglx2ZxYEzJMsJU0=; b=gi2ibCL4SMZ7saIM59XfDpNeNB
 Kj4NkEvNyBDAMeCSX0myeu/QGD0UyC213TnTc6XSWi0iwBRR2+e2AYLltBPeym8ivkWcQv00EauMi
 NwNGisKcsUYgr3bzBd0NHw5bzFsgGcfA//UJ9vRW9jVw1swbWitw3E/+HELOD3jTTK8Q=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTwn4-00087R-0N; Sat, 25 Sep 2021 03:47:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [PATCH] Add tests for insert-directory
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUpJisPDBBXVFp8
 fYShoqe9vsTR09jw8fL////l0XS0AAAAAWJLR0QIht6VegAAAAd0SU1FB+UJGQEtJy6+30YAAAG4
 SURBVDjLpdLNktowDABgJZPhbJU+QPDC9kohpVd2semV7sTh2tnB8gu09utX+bXD0lPFgYm+kSX/
 QAa5lE+V0sYYpXayBMgQMwQUIKWslOK0Ou1kl+cARCG7kja/l3MopdwrdQ52XKlbCkVe5lyiHdHt
 DoAH+BGsIeJ8AtCCpzbehhYdIAMU3rf0G9oEihEEFCF4ct5tZ8B/DF0ce4AJFtTDpQPuNMKhcW3e
 HbGvyIYeQhtybZvXft9jc8RDB8GeZsAfZ8vDBm9mFTwcbqiximr1ikOMUDRElmy9+gCax/LuHR+B
 d3SZQTvV0jTE5368A77gSnN7k91BhplYE5lfeA/8Ew3ZN5GCKLkAyyWvRNejgAk+bfluS8mnZbX9
 s5ZQwgBq/XTSujY88c2YqpDbAfan5VrzS2yCMzdbF7AaeuyKXDd8JFdvrCWT50NFO9Yz54fLpVU8
 Esi/7VWlTr18nYCPf+PCFC8J4Cbmw8/pojgWMe8vacV/AT0EzzCb6kuE8BhccDP4HoHSneMhgVUK
 OoLNEhBqAn/DBJZ1hPcUPpt/wCICbxwiPFs3wUv3ZAc422sEwU8rw79xYN9+0S2V8QAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMS0wOS0yNVQwMTo0NTozOSswMDowMPvj8U0AAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjEtMDktMjVUMDE6NDU6MzkrMDA6MDCKvknxAAAAAElFTkSuQmCC
X-Now-Playing: Bertine Zetlitz's _Beautiful So Far_: "Adore Me"
Date: Sat, 25 Sep 2021 03:47:45 +0200
In-Reply-To: <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
 (John Cummings's message of "Fri, 24 Sep 2021 19:58:25 +0000")
Message-ID: <87ee9dqvcu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  John Cummings <john@HIDDEN> writes: > I sent in my
 copyright assignment, but I think it's still being > finalized. Skimming the
 patch, it looks good to me, but as you say, we have to wait until the copyright
 process is finished. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

John Cummings <john@HIDDEN> writes:

> I sent in my copyright assignment, but I think it's still being
> finalized.

Skimming the patch, it looks good to me, but as you say, we have to wait
until the copyright process is finished.

But this bug report has been closed as fixed, so to avoid your patch
being lost, can you resubmit it with `M-x submit-emacs-patch' so that it
gets its own bug number?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 24 Sep 2021 19:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 15:58:43 2021
Received: from localhost ([127.0.0.1]:59305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTrLH-0003kI-9I
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 15:58:43 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:17907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mTrLB-0003jx-M9
 for 50630 <at> debbugs.gnu.org; Fri, 24 Sep 2021 15:58:42 -0400
Date: Fri, 24 Sep 2021 19:58:25 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632513510;
 bh=Nc/hxGbYHyuu5fEFv56r2pnzoKcb9w6pF9QtCgvYik0=;
 h=Date:To:From:Reply-To:Subject:From;
 b=XPHWZVAhN7DZbYOD/FNxy0+PIB0VnT2KJ8YnLciCJWYaWdVOJP4q4+YWVGzMHb5eb
 hVOgvmrA9f8fGGUYXiOUIcB0vJqq63Wm9RlN92CbAmXNk7ihpGbIVsOhWEjsvJrxQA
 XYMz0+q2upFWGvwhpsdiJrBBXj1pPoSIs2lsxUTNxgWDbFbO5ZRGWOwW3nZkp7AUIO
 tBxa2+b4YABm/gb4Rpa51zdwrrqn9w3MgxT6JZpudiSnVcKSQUtNZDSihLHmd7pT5a
 V6xozfsCeqGqXiXeu2ZYajvgfXr3zWA/SFchmxQy9/HpbM5GZFi1BxABTfzYXWaVv4
 rFQC0xY9r2XhQ==
To: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>
From: John Cummings <john@HIDDEN>
Subject: [PATCH] Add tests for insert-directory
Message-ID: <V5JmW0o5qHaKH206wrmdK_B_QWu_EIkLRqFA-axsnWRueelk8bxLT7d20sE3tCePq_aT_8_H_LVEvj7uavlPAFvCmnum929I-Ewqo7tdF28=@rootabega.net>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_x6XzlfozLgBrWr34UQlazrw8fHrBvAIvafs8gggk24E"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_x6XzlfozLgBrWr34UQlazrw8fHrBvAIvafs8gggk24E
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

The attached patch adds a regression test for this bug, as well as a
couple other basic functionality tests for insert-directory. This does
not test the other unfixed cases still in ls-lisp.el and tramp-sh.el,
but I thought it prudent to get these tests in before trying to apply
them in other libraries.

Along those lines, I also attempted to skip the test when ls-lisp
would be used during files-tests.el, which I predict might happen when
building on Windows?

I sent in my copyright assignment, but I think it's still being
finalized.

Thank you!
--b1_x6XzlfozLgBrWr34UQlazrw8fHrBvAIvafs8gggk24E
Content-Type: text/x-patch; name=0001-Add-tests-for-insert-directory.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Add-tests-for-insert-directory.patch
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--b1_x6XzlfozLgBrWr34UQlazrw8fHrBvAIvafs8gggk24E--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 21 Sep 2021 10:58:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 21 06:58:13 2021
Received: from localhost ([127.0.0.1]:45069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSdTZ-0000xR-4F
	for submit <at> debbugs.gnu.org; Tue, 21 Sep 2021 06:58:13 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:22911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mSdTU-0000x9-CP
 for 50630 <at> debbugs.gnu.org; Tue, 21 Sep 2021 06:58:11 -0400
Date: Tue, 21 Sep 2021 10:57:53 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1632221877;
 bh=cItcl8P+1zKnT4MlEYntANrb5BtwX3bKExuQ6e5wPco=;
 h=Date:To:From:Reply-To:Subject:From;
 b=sr3gJJdvEVjeNd8VmW8QL7NOmAPCjsuWi09/p9BvpAp1YRHEesHs2KChbucHVm5uh
 mSsthBzlEsiOvWFh1jCAtqQlvG3puTmHghvN7sSVILDPVuPzMQrCbZtfTVsXbcxTBu
 Uo0muprNZGkLUg+p0mI8hwof704MI7B6QxtWnVhj+W73eXhmUUOGVNYSb6+1wiaRGc
 aEEpb/daTzmgj/Ze0czCbaBsvspHObEgOQ2jefeRpGDeCsAP2f4EFSjVOzLpnOLk+6
 aUkCMVEFxmKa1vRDZmwHNLRBPgx2/ryA0Hk1XQEShxe/BxNO/aJysoF8fxqezERkpj
 TIQX0q37e4T/g==
To: "50630 <at> debbugs.gnu.org" <50630 <at> debbugs.gnu.org>
From: John Cummings <john@HIDDEN>
Subject: Confirmation of instances in ls-lisp.el and tramp-sh.el
Message-ID: <VWhThBOn_8UbEsqtqwIlHg9d1tagST0xslc7yY7KF-gUPxegkot9mk2aZD8Sj34b7BaUC8jOtRTQvknMvTys7tiZOabPZwSXloAytqBYIAQ=@rootabega.net>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_ukLeAN27CHAqguxBE3ZxfO5lkQt0r6F5Ys5DDGEY4g"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_ukLeAN27CHAqguxBE3ZxfO5lkQt0r6F5Ys5DDGEY4g
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

I think I've found all the instances of this bug: files.el (already
fixed) and ls-lisp.el (already identified) and tramp-sh.el. I attached
recipes to reproduce against master @
0646c6817139aa905a2f6079fdc82eb4be944de0.  The preceding libraries are
the 3 implementations of insert-directory I found. From what I can
tell, these are usually expected to be called from dired and
list-directory, the former of which ensures default-directory is set
as expected before calling insert-directory, and the latter of which
does not, which is where this was initially reported.

Testing these in a real scenario doesn't show any other interesting
behaviors.  Invoking via dired always does the correct thing, and
invoking via list-directory, or calling insert-directory directly,
always does the wrong thing (i.e. shows the free space of
default-directory instead of the insert-directory file arg) when the
default-directory does not match the file argument. This is true when
either/both of the insert-directory arg or the default-directory are
standard paths or tramp paths.

I think the fixes for the remaining two libraries are going to be as
simple as the previous fix: pass file-system-info the actual file arg
instead of ".". While ensuring default-directory is set as we want
seems to allow "." to work correctly, I haven't found a concrete
advantage to that over just passing the file arg through. (e.g. some
path expansion that only file-system-info can do.) I'm not very
confident that I understand that space fully, though.

Though the fixes may be simple, the tests for even one of the
libraries would be large enough to require my completed copyright
assignment, which is in progress now. The approach I have working now
is just to stub out file-system-info to simulate returning different
free space for different paths and verifying
list-directory/insert-directory shows the matching free space. Anybody
see any big problems with that or have other suggestions?  I also
don't want to duplicate that test for each of the 3 libraries, but I
haven't found a good way to share test utilities like that yet.

--b1_ukLeAN27CHAqguxBE3ZxfO5lkQt0r6F5Ys5DDGEY4g
Content-Type: text/plain; name=50630-recipe.txt
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=50630-recipe.txt
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--b1_ukLeAN27CHAqguxBE3ZxfO5lkQt0r6F5Ys5DDGEY4g--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 18 Sep 2021 10:05:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 06:05:02 2021
Received: from localhost ([127.0.0.1]:33582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRXDS-00047p-LI
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 06:05:02 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:39955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mRXDO-000479-VB
 for 50630-done <at> debbugs.gnu.org; Sat, 18 Sep 2021 06:05:01 -0400
Date: Sat, 18 Sep 2021 10:04:47 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1631959488;
 bh=03SewCFTht3maaUnXh4kUezfoyuH7MWyKEIwn8zEJew=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=cZViRtrM/zyCtR5F9PqiZRVUYmH0oCNAY8g64pAwpUzunptLFMw4UopYNcPNPhHKf
 1qlVW6uiii3K6gi7RPTcDdz/b82DQCizMjaWnLBdUtfjp7mlfKu4vLeqfWMHNpPFaG
 +jt8HrcF8LrRJbQGCcWFhU1v40G75uuqUmPzvA/ICyCwu/862OurDeoPDC/mcQ3LYF
 c1B7HQFBfSyshycmy9ct6AZd9u/qxnLihB7CkKXjPt/W1y2UHCXQrA0vU6cLIMlzde
 o3Cvs4zqBYSSB4M7PzMK9UXL5MG4lv6x5u0Bro3yvUNJPrNomTxGO9VyTUjDf9GKPp
 VGyyThQ10PIng==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [External] : bug#50630: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
Message-ID: <_SDTyK-9gQUzFZH1J7iksJh2XyXdSnwMNtt3eAHE4w6d4RbG6QCh__2Db-482QMxClRhc2i96fEEWxRaZ9_qh2CkSZpiwax4i1-v_jpm8P0=@rootabega.net>
In-Reply-To: <83h7ei77fm.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN>
 <SJ0PR10MB5488E81C3299BD2A3EDFEA57F3DD9@HIDDEN>
 <83r1dn6pub.fsf@HIDDEN>
 <MP4CUgFbrvpsfs0X0c18GkeNBtq9_6J0b9OKsUa8SretoZFwYGkuk8Grj3o1FxUSE80Rb3NSE5Hn8szRLPHESm6rlsqgmnJwDp-9lo9OfYk=@rootabega.net>
 <83h7ei77fm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630-done
Cc: 50630-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Saturday, September 18th, 2021 at 1:56 AM, Eli Zaretskii <eliz@HIDDEN> =
wrote:

> > The values look wrong to me here.
>
> In my testing, they reflect the correct volume (because the call is in
> the buffer whose default-directory is set to the directory we are
> going to display), which is why I installed the changes. Please tell
> how you test, starting from "emacs -Q", because I'd like to look at
> this.

Here's a dirty manual way to confirm it. I just chose directories that
I know are on different volumes, but I also confirmed it works with a loopb=
ack
filesystem created with something like losetup. This worked, i.e. showed me=
 different
free space, with emacs -Q on a clean build of c1356d3a05a789555c327dd4cb0f4=
44fdf7be205


;;doesn't matter; just use an existing dir
(setq ld-target "~")

;;two dirs on different volumes
(setq ld-working-dirs '("/" "~/emacs/"))


(require 'ls-lisp)
;;make sure to use the ls-lisp functionality
(setq ls-lisp-use-insert-directory-program nil)


;;shows the list-directory output for all working dirs
(defun insert-ld-bug ()
  (dolist (ld-working-dir ld-working-dirs)
    (let ((default-directory ld-working-dir))
      (list-directory ld-target t)
      (insert-buffer-substring "*Directory*")
      (insert "=3D=3D=3D=3D=3D\n\n\n"))))

(with-current-buffer-window "ld-bug" nil nil
  (insert-ld-bug))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 18 Sep 2021 05:57:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 01:57:11 2021
Received: from localhost ([127.0.0.1]:33375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRTLa-0002vo-IC
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 01:57:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mRTLV-0002v0-5h
 for 50630-done <at> debbugs.gnu.org; Sat, 18 Sep 2021 01:57:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41322)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mRTLO-0001I7-Rn; Sat, 18 Sep 2021 01:56:58 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3649
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mRTLO-0002s1-FZ; Sat, 18 Sep 2021 01:56:58 -0400
Date: Sat, 18 Sep 2021 08:56:45 +0300
Message-Id: <83h7ei77fm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <MP4CUgFbrvpsfs0X0c18GkeNBtq9_6J0b9OKsUa8SretoZFwYGkuk8Grj3o1FxUSE80Rb3NSE5Hn8szRLPHESm6rlsqgmnJwDp-9lo9OfYk=@rootabega.net>
 (message from John Cummings on Fri, 17 Sep 2021 20:32:53 +0000)
Subject: Re: bug#50630: [External] : bug#50630: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN>
 <SJ0PR10MB5488E81C3299BD2A3EDFEA57F3DD9@HIDDEN>
 <83r1dn6pub.fsf@HIDDEN>
 <MP4CUgFbrvpsfs0X0c18GkeNBtq9_6J0b9OKsUa8SretoZFwYGkuk8Grj3o1FxUSE80Rb3NSE5Hn8szRLPHESm6rlsqgmnJwDp-9lo9OfYk=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630-done
Cc: 50630-done <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 17 Sep 2021 20:32:53 +0000
> From: John Cummings <john@HIDDEN>
> Cc: Drew Adams <drew.adams@HIDDEN>, 50630-done <at> debbugs.gnu.org
> 
> On Friday, September 17th, 2021 at 2:04 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> > > From: Drew Adams drew.adams@HIDDEN
> > > I believe the same change is needed in ls-lisp.el, for function `ls-lisp--insert-directory'.
> > >
> > > (let ((available (get-free-disk-space ".")))
> > >
> > > should be:
> > >
> > > (let ((available (get-free-disk-space file)))
> >
> > Why, do you see the wrong values being reported?
> 
> The values look wrong to me here.

In my testing, they reflect the correct volume (because the call is in
the buffer whose default-directory is set to the directory we are
going to display), which is why I installed the changes.  Please tell
how you test, starting from "emacs -Q", because I'd like to look at
this.

> Thanks for the heads up. I've got a working test for files.el and ls-lisp.el, and after I polish it, I'll also look into how to handle FILE vs ORIG-FILE

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 17 Sep 2021 20:33:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 16:33:07 2021
Received: from localhost ([127.0.0.1]:33085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRKXi-0004Bl-Sq
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 16:33:07 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:10085)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mRKXg-0004BH-UJ
 for 50630-done <at> debbugs.gnu.org; Fri, 17 Sep 2021 16:33:05 -0400
Date: Fri, 17 Sep 2021 20:32:53 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1631910774;
 bh=XhVp+iV21cn1SU0duFEJRT/qs+z1I08S8WtQR26ZtZw=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=sGdKSaFLRM8ek4FiCgLw3uVHWUXZ413uQGAQ+j7BQyh7NXCWGl8kaqRkdhdUV66BI
 eUqJ2tPNXE17p1l0WTOgIkRC+v/q/zzWuTy4xcNGc9NBQfig+7rSM3EfmOCTkvfjph
 81Oshe9CSaIJ3mqUal31QRWLgrFMFRMKZ4KVyWVK5D/Ta0gCt14BdBw9jHi9Ict9mY
 khTmfpvWs7er6NM/eVK7p4WVQVJzPcIXoHBzEYJR3WBW3/SIN3Nt7DXnopnwLlSwxL
 cwccRHNLl4EUvW2DSRP4Mfbh7TvlmYsZY+f/WxPP5ozpSyWgm2Z8Xlr2yQYk2ONi3h
 crEq7o4/EqDKg==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: [External] : bug#50630: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
Message-ID: <MP4CUgFbrvpsfs0X0c18GkeNBtq9_6J0b9OKsUa8SretoZFwYGkuk8Grj3o1FxUSE80Rb3NSE5Hn8szRLPHESm6rlsqgmnJwDp-9lo9OfYk=@rootabega.net>
In-Reply-To: <83r1dn6pub.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN>
 <SJ0PR10MB5488E81C3299BD2A3EDFEA57F3DD9@HIDDEN>
 <83r1dn6pub.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50630-done
Cc: 50630-done <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Friday, September 17th, 2021 at 2:04 PM, Eli Zaretskii <eliz@HIDDEN> wr=
ote:

> > From: Drew Adams drew.adams@HIDDEN
> > I believe the same change is needed in ls-lisp.el, for function `ls-lis=
p--insert-directory'.
> >
> > (let ((available (get-free-disk-space ".")))
> >
> > should be:
> >
> > (let ((available (get-free-disk-space file)))
>
> Why, do you see the wrong values being reported?

The values look wrong to me here. Thanks for the heads up. I've got a worki=
ng test for files.el and ls-lisp.el, and after I polish it, I'll also look =
into how to handle FILE vs ORIG-FILE




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 17 Sep 2021 18:04:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 14:04:54 2021
Received: from localhost ([127.0.0.1]:32961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRIEH-0000dH-SI
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 14:04:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mRIEF-0000d3-KZ
 for 50630-done <at> debbugs.gnu.org; Fri, 17 Sep 2021 14:04:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41838)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mRIE9-0002h0-I7; Fri, 17 Sep 2021 14:04:45 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3993
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mRIE9-0001gO-4P; Fri, 17 Sep 2021 14:04:45 -0400
Date: Fri, 17 Sep 2021 21:04:28 +0300
Message-Id: <83r1dn6pub.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <SJ0PR10MB5488E81C3299BD2A3EDFEA57F3DD9@HIDDEN>
 (message from Drew Adams on Fri, 17 Sep 2021 17:38:42 +0000)
Subject: Re: [External] : bug#50630: 28.0.50; list-directory shows free space
 for current directory, not the specified one
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN> 
 <SJ0PR10MB5488E81C3299BD2A3EDFEA57F3DD9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630-done
Cc: john@HIDDEN, 50630-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Drew Adams <drew.adams@HIDDEN>
> CC: "50630-done <at> debbugs.gnu.org" <50630-done <at> debbugs.gnu.org>
> Date: Fri, 17 Sep 2021 17:38:42 +0000
> Accept-Language: en-US
> 
> > The patch makes sense to me, so I installed it, and I'm closing this
> > bug.
> 
> I believe the same change is needed in ls-lisp.el, for function `ls-lisp--insert-directory'.
> 
>   (let ((available (get-free-disk-space ".")))
> 
> should be:
> 
>   (let ((available (get-free-disk-space file)))

Why, do you see the wrong values being reported?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 17 Sep 2021 17:38:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 13:38:49 2021
Received: from localhost ([127.0.0.1]:32936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRHp2-0008Pz-T5
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 13:38:49 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:45604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mRHoz-0008Pq-VN
 for 50630-done <at> debbugs.gnu.org; Fri, 17 Sep 2021 13:38:47 -0400
Received: from pps.filterd (m0246632.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 18HFwoXR025071; 
 Fri, 17 Sep 2021 17:38:45 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=2+8aKhArnLK6F7m5jLCYwvPtXv2vqSlweHnNE58kS+0=;
 b=0pCx6Oa0h+U7H6rgaSULcK1fzsdRngQunUK43NBWkrhRg641cSHs/uY4DG+9A0bRA+G6
 xBY1Xbc9+P9XdwmNN+mux+TnmqfOFUvVasgF2LchWn6NKx5MCv++1X1mayHJf55B01e8
 yu3eFyJryE7S7F/K6Q2RMHN6TgTwyx8XD64tH1LPg8QE91yNQHYjYbQwrgm2ffU9w2q9
 pxTa0VsxMhW76w5vymr1vI7gS7DbvZUIvW7zjx9vAgqBKCU6UzpuLT0hhCcBTRDxwmgJ
 DXFsZKSioiGkohqJg+NUgBxIblO+xgs71tNm/LGR2LTRiKIj+1Bkm+gLVEyEJesseM1K ZQ== 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=2+8aKhArnLK6F7m5jLCYwvPtXv2vqSlweHnNE58kS+0=;
 b=aM8oGxrroaC1g9RaYuXmeQ/CXoQMIXvYdvAKkA+rEB+gAQPjLEAN3qVDsOudkfhjiidY
 /odq5UgVv44HHsh9ZOrFjcwH71PQAz/NFYxRo9A1l03NOblFSaMNDZPcDdnGFs5G9NwZ
 9qcw96sDiZ72KWuFBqSXfg6yX7c1gxLpdHrY+uM3B9BOm9j/2svJSl/N75bkWqMHWzZG
 7JPtmwDzCh9gTCxcRBZjrP1n7y1VdBPOt8wxU2/26lKFAglUeW0PLhqeRb77olSgce5u
 DxFeB8KjMshcGBd8R1nFsplNY4xN/ucaKQnVe2pNREaEt8WE7CimvwaVcfma8QGQWLvU Yw== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by mx0b-00069f02.pphosted.com with ESMTP id 3b4u8ss4hh-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 17 Sep 2021 17:38:44 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 18HHUiLX095232;
 Fri, 17 Sep 2021 17:38:44 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2107.outbound.protection.outlook.com [104.47.58.107])
 by aserp3030.oracle.com with ESMTP id 3b0jghxkc9-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 17 Sep 2021 17:38:44 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ez+CbR6WcKZ/3R8487hvtbGPgWZJ4+KedRLWEgbVM2JAh77Dbg1rzbwhtAfUmxdSWoPjWirhuOFqzZHcThcjM/F3UjmaXUMydMSLuWmWKMC/iBKzrCnD0sxfgITL0sv2eg9Rgur5rp+NmUHJYHIEsR8ZYCmEh/HjVgo4yAM0TkB4Op+to+pwNz6JBzY1UODgERsCrMQn5n3ZZzdbGs+1XBNvTQ64ScMHzIwDp1fEohIBmzPHKtWZ5IMS4Dtgd4hT8rfyezeS+LXz85bVN2GErKUniA+xW8ig/SMfymM/c66HKWDhpF78XTWvrW/h3EaQQZvPjqK8At5kSFfvDRKTQw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=2+8aKhArnLK6F7m5jLCYwvPtXv2vqSlweHnNE58kS+0=;
 b=LVhkXhsL7bcjhlsWt3KDRWQFGhG88GMVrpfuy1pBfM5ofXmyb0rdoX6s1KKIawJNZSDr8EfeguZufX9CSJalL91MXxz/VryP0zd6kqDcAxczMxSDT6JnilX0nBuPPqkqBMA+hDtPDZaK4AoG8wrnvoDhFq5hsCmcx5EQfJuzRz2iQWwz1I6lqk8kQ58xXDm0iiHed6aijmeFn0OOg690jE5sjmKG7So6S50oi5BUVEQv3EX2syhV7cI1UmVwSOGK1SWVsPSbVzWKXIBwNdxHgz6mzyvJW8BzwG3upgdXClg30p4kX3NdMGO3bvtTNHcMr/7OGDkD/yt2bQJt9tCyDg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=2+8aKhArnLK6F7m5jLCYwvPtXv2vqSlweHnNE58kS+0=;
 b=g5inSkEaN0b7gG/vySI4o2wzHRUUUUEUHVemqxpFqupf5Ajm4yxATHqdv2wuc1H7UQH5hzyvZnu2YGMVeDLy1wJXebGDdWURr94BEurGJ0USyORfMDmItCpKS0SXdo2XYK69PxFzm/ZQBQnsVBQD+cnbH/2ztCsh6N503gu5UbQ=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB3144.namprd10.prod.outlook.com (2603:10b6:a03:15c::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4523.16; Fri, 17 Sep
 2021 17:38:42 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4523.017; Fri, 17 Sep 2021
 17:38:42 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, John Cummings <john@HIDDEN>
Subject: RE: [External] : bug#50630: 28.0.50; list-directory shows free space
 for current directory, not the specified one
Thread-Topic: [External] : bug#50630: 28.0.50; list-directory shows free space
 for current directory, not the specified one
Thread-Index: AQHXq5LpTJe7kEr8+U6xAf8gdCc63quoe49w
Date: Fri, 17 Sep 2021 17:38:42 +0000
Message-ID: <SJ0PR10MB5488E81C3299BD2A3EDFEA57F3DD9@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN>
In-Reply-To: <83lf3v8ysw.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: e1d46113-3b99-41aa-1982-08d97a01fe14
x-ms-traffictypediagnostic: BYAPR10MB3144:
x-microsoft-antispam-prvs: <BYAPR10MB3144222262ACC6D8EC76A1F5F3DD9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: LF7VQ5pSkaBZTMfPAdsGuO3D9pXwsKB5NXhfVQsbjulM1fFc6Qw+ZEMesHJLRM7CUXSwh42laREdSPibybvm9hLJomxdBX7Brs34KE2JQFZtv7EjR7/pFQHBTrvbYovBmAXJ0Hfn4LnaQrylFYzGo+xFJ1OUpSH210VoqZYQgSWsloNIllzQYV6ydm1N++k43418b8g4sPpcviIWSrRG9ezi2WnhdwMdP7uERmsU2xT9zjwBknMb1mHmy+nILrPKslfDsji4xTT6iPBLhHBzE7jxN9T1uuivftHBvRElj3+B1nfmnZvHEVt2wFSfYMUyS9FZP1ujoliE6gpUgryRswb+g41iMJBbibmBN7hciI4eX7D9dl7o3FgJlaQHnQrRkIdzROG826II0acOcEpoM8Ph2+XQ0bjm3lUBct69UWlx3xY6YnHi1J+YUJ5KMqRUkjv/C1As8h4SOIOIjSUaQATdZ0GZTa7bmI+oct6hr9kgelL2QQa2HqQLt5fv15QQa8Xmhbv1v/MWkyacEbfyGUoCNoMCDIme+WOcn/TSCuEZTK8i848nK9oIKKSwNaTlASmj3/SuQiIrf5P751ke7FP1l689DQIz76FjGiPvULdauYRebsVjt7w9jcONlg47YO0BFHL0pM+T+geDBkk8H/th2FG/xAUPqEbrHmbpyKyY/mFxj9iGFhvjPdI+/YoNVUe600VqvrEUz9cwQKiYcg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(366004)(136003)(376002)(346002)(39860400002)(316002)(44832011)(4326008)(2906002)(122000001)(66556008)(76116006)(4744005)(52536014)(186003)(5660300002)(64756008)(71200400001)(66476007)(110136005)(7696005)(86362001)(38100700002)(38070700005)(8936002)(55016002)(33656002)(8676002)(9686003)(66446008)(6506007)(26005)(66946007)(478600001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?z9iIzi0xkgT5SwMaV14AjLWLNLOxQRDIIBIw6eYT9ccUC3s0rehTNn8rczxF?=
 =?us-ascii?Q?+lk1+Ph8NraUp8EAIeVi+VdLb86ZRMafF5R+oYdSjj5it7R2H5dRbbzA24OZ?=
 =?us-ascii?Q?YrnoRyAlHvLqPv+hXcfVm1y70I1LpPUhDvbg/62nOfjY2q3YbhptEQlFOJRG?=
 =?us-ascii?Q?4ZzgmP3DdYTSDxKu6XxbMq6WFVcmSP1LGp5rCDJX2KoUyI9MYr5w/eMMt4Uc?=
 =?us-ascii?Q?ehc0CpEFiu9xXcCPohp5da42W4qXl8ioMtERUXTEa/iqEm/6w8gXsnha7tOP?=
 =?us-ascii?Q?puvCfaSFSc0V32ta6crtHqHZ87leryawIgPIEXsUQn/9h3RhN89Fd225MEqg?=
 =?us-ascii?Q?ZgRyXEo7DxELGHzI3ZK5xGSlhqGxcj36iUrtUgGaepF2tG1eEuive/P1rPmd?=
 =?us-ascii?Q?lSrfS59fL04p0/YBavfgQmEY3WDTZCa6NddRYmcDV1CpA5DHaWjsXx8E6b1J?=
 =?us-ascii?Q?zMwTgMpHAMMwdd8KmhwBt3cR5CDI6BAggYo3sCGEN0YWM0PbPZ5b10odhaVP?=
 =?us-ascii?Q?aelMGCDeIrWF09wbxXm/WR6Wwov06sDDYF1Hqg6Iq4OS6En0cEQC8EmyyOQM?=
 =?us-ascii?Q?apjLASsS7r319fsorVmWX8Gp3s5NZek54rGV+nTkTnDKQzqs6SRncm9fMqTX?=
 =?us-ascii?Q?3U6SfBAbmxFT88rEx0ukg5BMpi17hyB+RKG5zQKj2/m5MMUrNgzUwN05xYrw?=
 =?us-ascii?Q?6NT6I/MYui1YldkOMvkmXLEe05XD9fdILCBPE/MaDr2vhPxgAmWNRUXsQiVw?=
 =?us-ascii?Q?J6mIN8Gw3rRVMPdymwBpUUfRSUVVODmSA5/4/PISusHaNHRi+k0I6KfEh4OH?=
 =?us-ascii?Q?7XXp6B7z4jpnfw7aXbVd0PQ8YrjdWj/inudWv9EniFjJfEz3ePcb9DNOnT9A?=
 =?us-ascii?Q?mqgQ413dPLpEm854hOJ0G4+M2wj+pFFsGh/BjO/ZvRX+aTAYi09VNepKGkIJ?=
 =?us-ascii?Q?6L78TpBrU6gODuCsMP2SZ8nqW42f3bgZNNxto69HOS5fTSeYN+/aY7mtB/Wz?=
 =?us-ascii?Q?XQf4QWcQuDbH+gV7T03i7PWhN0GN7IbnJeEOu3hV5oPHJjGVbzzp2n7K6EVo?=
 =?us-ascii?Q?at4puYbgilzqKNS53qOy2imNAe54ZHz04zj3k4FtGDsAPjG4F2NbgMFbbufh?=
 =?us-ascii?Q?0lrYNXn5jM0BGgyh/3tR3bPtWKLSmhYZeDxq4cJhNtm2K5j98zGKAlyPCpu0?=
 =?us-ascii?Q?JWDyIugyLSXhrm0OQdwOPlkSHugP70pylDuOvOVpZ4rD+vemblshwY7m1s+m?=
 =?us-ascii?Q?O1Kvbc0EHQdjR9QFSpDr9jNHglZAdx+QDyzH0+oEWSCTCF2d+qqL0k6RSrkl?=
 =?us-ascii?Q?z8o=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: e1d46113-3b99-41aa-1982-08d97a01fe14
X-MS-Exchange-CrossTenant-originalarrivaltime: 17 Sep 2021 17:38:42.5145 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: HfYvd2M6vJLQo4oYGTp/LdeVl67xfr2fXK8UTCu0d3ccJTtdN2pwm/6gzVWRYV1LjjPmcPa/pmYeLzRmzJfqmw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB3144
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10110
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0
 mlxlogscore=742 adultscore=0 bulkscore=0 spamscore=0 phishscore=0
 malwarescore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2109030001 definitions=main-2109170108
X-Proofpoint-ORIG-GUID: uWjesVY013RWcPZp9hJduagPxRkyQKMN
X-Proofpoint-GUID: uWjesVY013RWcPZp9hJduagPxRkyQKMN
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 50630-done
Cc: "50630-done <at> debbugs.gnu.org" <50630-done <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

> The patch makes sense to me, so I installed it, and I'm closing this
> bug.

I believe the same change is needed in ls-lisp.el, for function `ls-lisp--i=
nsert-directory'.

  (let ((available (get-free-disk-space ".")))

should be:

  (let ((available (get-free-disk-space file)))

(But you might want to check whether FILE is what's needed, and not, say, O=
RIG-FILE.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 17 Sep 2021 15:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 11:57:00 2021
Received: from localhost ([127.0.0.1]:60956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRGEU-0003St-FR
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 11:57:00 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:26675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mRB2y-0004sK-FI
 for 50630-done <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:24:52 -0400
Date: Fri, 17 Sep 2021 10:24:30 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1631874273;
 bh=lSFeq5Yhgxgd/9lQSNY8OtyGaLIleDR6D8K+G6G+TBA=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=vp9xAvrH6BT1T6pU4yalrRljvPPpaNoycje83GethNmemMly+DPyg9jUtfwTdlOtP
 YDMfIzgeYXUpW5ztr9+fJEQ4Huk4boLT5MnSx1jlHuceJtduxyVo+njntZ+dZ1pLxl
 Bdn0bCxBfV8i9ZE37+bdgc1fAL0fl7cTR2VA0WATrw4vUXz7pat4pE49epfuty8oBe
 3xL+/WVtB8mnw726NI6CGO7dvOG6/ZQZMZDbjVYSfcQdn1JSHTvwF0barnE4io9vHK
 geF8uH0x2NYsuc/bOdo2dbAOgkVciGwxzfEQezgO616VAGc/avRX7RldZ+RGBY5dUY
 RJiSSX1r5mFfA==
To: Eli Zaretskii <eliz@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: Re: bug#50630: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
Message-ID: <Ggzd1ugTcgUmyO_FVYWfqvVwhtX363NOVqeixf66_3jRqriwFNY8asWNfHr5ZWnCcEag-43yuYoKboO2HGSJW4ZpXltiNUuU-of30TVZP3M=@rootabega.net>
In-Reply-To: <83lf3v8ysw.fsf@HIDDEN>
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50630-done
X-Mailman-Approved-At: Fri, 17 Sep 2021 11:56:56 -0400
Cc: 50630-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Friday, September 17th, 2021 at 3:07 AM, Eli Zaretskii <eliz@HIDDEN> wr=
ote:

> Thanks. In the future,
...
>
> Also, if you intend to contribute in the future, I recommend starting
>
> your legal paperwork rolling for assigning copyright to the FSF. If
>
> you agree, I will send you the form to fill and the instructions to go
>
> with it.

That sounds great, please do send me the form.

Sorry, I expected to have to do some more research and change a few other t=
hings; just intended that patch to be a proof of concept. Thank you for cor=
recting it for me. I will do some deeper research as well as follow up with=
 a test.

Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630 <at> debbugs.gnu.org:


Received: (at 50630) by debbugs.gnu.org; 17 Sep 2021 10:36:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 06:36:43 2021
Received: from localhost ([127.0.0.1]:58604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRBEZ-0005KX-4J
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:36:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mRBEX-0005KL-7O
 for 50630 <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:36:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39790)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mRBER-0004I1-Kk; Fri, 17 Sep 2021 06:36:35 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4351
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mRBER-0007hn-3q; Fri, 17 Sep 2021 06:36:35 -0400
Date: Fri, 17 Sep 2021 13:36:19 +0300
Message-Id: <83a6kb8p5o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <Ggzd1ugTcgUmyO_FVYWfqvVwhtX363NOVqeixf66_3jRqriwFNY8asWNfHr5ZWnCcEag-43yuYoKboO2HGSJW4ZpXltiNUuU-of30TVZP3M=@rootabega.net>
 (message from John Cummings on Fri, 17 Sep 2021 10:24:30 +0000)
Subject: Re: bug#50630: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 <83lf3v8ysw.fsf@HIDDEN>
 <Ggzd1ugTcgUmyO_FVYWfqvVwhtX363NOVqeixf66_3jRqriwFNY8asWNfHr5ZWnCcEag-43yuYoKboO2HGSJW4ZpXltiNUuU-of30TVZP3M=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630
Cc: 50630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 17 Sep 2021 10:24:30 +0000
> From: John Cummings <john@HIDDEN>
> Cc: 50630-done <at> debbugs.gnu.org
> 
> On Friday, September 17th, 2021 at 3:07 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> Sorry, I expected to have to do some more research and change a few other things; just intended that patch to be a proof of concept. Thank you for correcting it for me. I will do some deeper research as well as follow up with a test.

It looked like TRT to me, but of course more testing will be welcome.

Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.

Message received at 50630-done <at> debbugs.gnu.org:


Received: (at 50630-done) by debbugs.gnu.org; 17 Sep 2021 07:08:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 03:08:25 2021
Received: from localhost ([127.0.0.1]:58344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mR7yz-0008Li-1d
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 03:08:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mR7yw-0008LT-9f
 for 50630-done <at> debbugs.gnu.org; Fri, 17 Sep 2021 03:08:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52064)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mR7yq-0001h3-U6; Fri, 17 Sep 2021 03:08:16 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3414
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mR7yq-0004F8-HY; Fri, 17 Sep 2021 03:08:16 -0400
Date: Fri, 17 Sep 2021 10:07:59 +0300
Message-Id: <83lf3v8ysw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Cummings <john@HIDDEN>
In-Reply-To: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
 (message from John Cummings on Thu, 16 Sep 2021 23:00:50 +0000)
Subject: Re: bug#50630: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
References: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50630-done
Cc: 50630-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 16 Sep 2021 23:00:50 +0000
> From: John Cummings <john@HIDDEN>
> 
> Hello, long time emacs user; first time reporter. Apologies if I do anything wrong here.

Thanks.  In the future, please make sure Git uses your actual email
address, as without that we need to apply the patch by hand.  Also, we
request a commit log message formatted according to ChangeLog rules;
see CONTRIBUTE for the details.  (I made the necessary changes for you
this time.)

Also, if you intend to contribute in the future, I recommend starting
your legal paperwork rolling for assigning copyright to the FSF.  If
you agree, I will send you the form to fill and the instructions to go
with it.

> Changing the call to get-free-disk-space seemed to work in the attached patch, but I haven't attempted to dig deeper and check for any regressions. I would be glad to do that, but would need more time to research and would probably ask for more help to do it.

The patch makes sense to me, so I installed it, and I'm closing this
bug.

Thanks.




Notification sent to John Cummings <john@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2021 23:38:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 19:38:07 2021
Received: from localhost ([127.0.0.1]:57863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mR0xC-0004Yz-Lg
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 19:38:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:47820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john@HIDDEN>) id 1mR0NU-0003HZ-Gd
 for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 19:01:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42508)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john@HIDDEN>)
 id 1mR0NT-0003mP-Qi
 for bug-gnu-emacs@HIDDEN; Thu, 16 Sep 2021 19:01:11 -0400
Received: from mail-0301.mail-europe.com ([188.165.51.139]:50473)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john@HIDDEN>)
 id 1mR0NP-0007CZ-DS
 for bug-gnu-emacs@HIDDEN; Thu, 16 Sep 2021 19:01:11 -0400
Date: Thu, 16 Sep 2021 23:00:50 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rootabega.net;
 s=protonmail; t=1631833254;
 bh=Rk9dVYkgalshPPNvo9bTBNt0dryCWGm3QobHx7A6D9U=;
 h=Date:To:From:Reply-To:Subject:From;
 b=b7uQgsdTtEng4Vz5etaT1Zb9O+NgR/29EZEkvz+8ip+U2XlqvAa7waE05a3jwjmtl
 +uS2NAUTr/l8HCBDrvAgfckphJ4CUBT0YqXsRg+mDAiCQd+VmD4QYnpqQW95yYVgog
 ZN3bKw9CRkC62zH9PyrJ2OOIXIeRnzMhiiHUFgCJ5rppNWuKxrOAqYcy9OmrqC9yAN
 Q2RtgrsbFXecvXODDA6r+88CKPR93wMZqyLxw+w7LNVg8h/LDg/UZ9WcupkhX4sk/v
 EDct7h9NHfdGTIej6/tR5AjXlr7c0E0WRRzmfdsASM0jvxt64OU99VBjetbDsT/tK0
 ELCe/LOlPvU6A==
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: John Cummings <john@HIDDEN>
Subject: 28.0.50;
 list-directory shows free space for current directory, not the
 specified one
Message-ID: <JBqm7KQ2DJUp-dhplOvmXWA9jYAO3_nq6esSKGU1ESYNcZUg0jrRtN-W6J8LQ9umlAyPYR633evnmi_kWgBuIWC0fSwtNeeJ1eZtbUJRK_Q=@rootabega.net>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_YwdiKnKrvnmWgFCo7QO8fo3kxWR7EcJHVETZI87VkC4"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=188.165.51.139; envelope-from=john@HIDDEN;
 helo=mail-0301.mail-europe.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 16 Sep 2021 19:38:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Cummings <john@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is a multi-part message in MIME format.

--b1_YwdiKnKrvnmWgFCo7QO8fo3kxWR7EcJHVETZI87VkC4
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello, long time emacs user; first time reporter. Apologies if I do anythin=
g wrong here.

The verbose output for list-directory always shows the free space for the c=
urrent directory of the buffer where it was called, not the target director=
y that is supplied as an argument.

This may have been first introduced in 849051903e7, while fixing this repor=
t:
https://lists.gnu.org/archive/html/bug-gnu-emacs/2002-03/msg00251.html
The result was that, while the *Directory* output buffer's current director=
y was set correctly, setting it last meant that the free space calculation =
always took place in "." rather than the argument to list-directory.

Here are commands/output to demonstrate. Note that the free space changes f=
or the same directory argument when I change the current directory, since t=
he two different directories are on different disks.


  (eval-expression (pwd) t)
  "Directory ~/emacs/"

  (eval-expression (list-directory "~" t) t)
  "/home/emacsdev/"

  (insert-buffer-substring "*Directory*")
  Directory /home/emacsdev
  total used in directory 0 available 15.5 GiB
  lrwxrwxrwx 1 /emacsdev /emacsdev 26 Sep 16 17:45 emacs -> /media/ubuntu/t=
urkey/emacs
  lrwxrwxrwx 1 /emacsdev /emacsdev 34 Sep 16 17:44 emacs-project -> /media/=
ubuntu/turkey/emacs-project


  (cd "/")

  (eval-expression (pwd) t)
  "Directory /"

  (eval-expression (list-directory "~" t) t)
  "/home/emacsdev/"

  (insert-buffer-substring "*Directory*")
  Directory /home/emacsdev
  total used in directory 0 available 7.7 GiB
  lrwxrwxrwx 1 /emacsdev /emacsdev 26 Sep 16 17:45 emacs -> /media/ubuntu/t=
urkey/emacs
  lrwxrwxrwx 1 /emacsdev /emacsdev 34 Sep 16 17:44 emacs-project -> /media/=
ubuntu/turkey/emacs-project

Changing the call to get-free-disk-space seemed to work in the attached pat=
ch, but I haven't attempted to dig deeper and check for any regressions. I =
would be glad to do that, but would need more time to research and would pr=
obably ask for more help to do it.

Thanks for everything!



In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, c=
airo version 1.16.0)
 of 2021-09-10 built on ubuntu
Repository revision: ceb60225bacc7650b5e52032c0c33b9d67f9a6d7
Repository branch: master
System Description: Ubuntu 20.04.1 LTS

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils subr-x pcase
misearch multi-isearch vc-git diff-mode easy-mmode vc-dispatcher
bug-reference find-func cl-extra shortdoc text-property-search seq
mule-diag thingatpt help-fns radix-tree help-mode cl-loaddefs cl-lib
term/xterm xterm byte-opt gv bytecomp byte-compile cconv iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 99674 10407)
 (symbols 48 8011 1)
 (strings 32 25795 958)
 (string-bytes 1 846999)
 (vectors 16 13457)
 (vector-slots 8 152638 6184)
 (floats 8 90 749)
 (intervals 56 1088 62)
 (buffers 992 16))



--b1_YwdiKnKrvnmWgFCo7QO8fo3kxWR7EcJHVETZI87VkC4
Content-Type: text/x-patch; name=0001-text-verbose-dir-fix.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-text-verbose-dir-fix.patch

RnJvbSA4N2RiZjczYzIwOWU3MDM4MmRiNjRjMmQxOTZiNzYxZDY1NmRmNDA5IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBlbWFjcyBkZXYgPG5vb25lQGV4YW1wbGUuY29tPgpEYXRlOiBU
aHUsIDE2IFNlcCAyMDIxIDE4OjQ5OjQzIC0wNDAwClN1YmplY3Q6IFtQQVRDSF0gdGV4dCB2ZXJi
b3NlIGRpciBmaXgKCi0tLQogbGlzcC9maWxlcy5lbCB8IDIgKy0KIDEgZmlsZSBjaGFuZ2VkLCAx
IGluc2VydGlvbigrKSwgMSBkZWxldGlvbigtKQoKZGlmZiAtLWdpdCBhL2xpc3AvZmlsZXMuZWwg
Yi9saXNwL2ZpbGVzLmVsCmluZGV4IDdlNGJkYWI1MDcuLmVmMGM0YWM0NTggMTAwNjQ0Ci0tLSBh
L2xpc3AvZmlsZXMuZWwKKysrIGIvbGlzcC9maWxlcy5lbApAQCAtNzYwOCw3ICs3NjA4LDcgQEAg
aW5zZXJ0LWRpcmVjdG9yeQogCQkgIDs7IFJlcGxhY2UgInRvdGFsIiB3aXRoICJ0b3RhbCB1c2Vk
IGluIGRpcmVjdG9yeSIgdG8KIAkJICA7OyBhdm9pZCBjb25mdXNpb24uCiAJCSAgKHJlcGxhY2Ut
bWF0Y2ggInRvdGFsIHVzZWQgaW4gZGlyZWN0b3J5IiBuaWwgbmlsIG5pbCAxKQotCQkgIChsZXQg
KChhdmFpbGFibGUgKGdldC1mcmVlLWRpc2stc3BhY2UgIi4iKSkpCisJCSAgKGxldCAoKGF2YWls
YWJsZSAoZ2V0LWZyZWUtZGlzay1zcGFjZSBmaWxlKSkpCiAJCSAgICAod2hlbiBhdmFpbGFibGUK
IAkJICAgICAgKGVuZC1vZi1saW5lKQogCQkgICAgICAoaW5zZXJ0ICIgYXZhaWxhYmxlICIgYXZh
aWxhYmxlKSkpKSkpKSkpKQotLSAKMi4yNS4xCgo=

--b1_YwdiKnKrvnmWgFCo7QO8fo3kxWR7EcJHVETZI87VkC4--





Acknowledgement sent to John Cummings <john@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50630; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Nov 2021 01:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.